#ifndef lint
static const char yysccsid[] = "@(#)yaccpar	1.9 (Berkeley) 02/21/93";
#endif

#include <stdlib.h>
#include <string.h>

#define YYBYACC 1
#define YYMAJOR 1
#define YYMINOR 9
#define YYPATCH 20080827

#define YYEMPTY        (-1)
#define yyclearin      (yychar = YYEMPTY)
#define yyerrok        (yyerrflag = 0)
#define YYRECOVERING() (yyerrflag != 0)

/* compatibility with bison */
#ifdef YYPARSE_PARAM
/* compatibility with FreeBSD */
#ifdef YYPARSE_PARAM_TYPE
#define YYPARSE_DECL() yyparse(YYPARSE_PARAM_TYPE YYPARSE_PARAM)
#else
#define YYPARSE_DECL() yyparse(void *YYPARSE_PARAM)
#endif
#else
#define YYPARSE_DECL() yyparse(void)
#endif /* YYPARSE_PARAM */

extern int YYPARSE_DECL();

static int yygrowstack(void);
#define YYPREFIX "yy"
#line 32 "mu.y"

/* include files */
#include "mu.hpp"

/* global variables */
int enumval = 1;	       /* current value for enum. */
int shiftenum=0;
enumtypedecl *enumdecl = NULL; /* old enumeration decl. */
bool hasreturn = FALSE;	/* whether currently-defined function has
				  a return statement yet. */
int localscope = 0;	    /* all scopes within localscope will have
				* a scope value greater than localscope. */
bool sideeffects = FALSE;
typedecl *returntype = NULL;
static ste *curfields = NULL;
extern typedecl *switchtype;
extern int offset;
lexlist *not_yet_declared = NULL;
int paramclass = 0;
bool hasrule = FALSE;
bool has_startstate = FALSE;

/* variables for union */
static stelist *unionmembers = NULL;

void pctlUntilError(bool is_real, bool is_int, bool has_value, double value, bool is_int_buntil, bool has_value_buntil, int buntil)
{
  Error.CondError(!is_real && !is_int, "Probability bound for pctl formulas must be real.");
  Error.CondError(!has_value, "Probability bound for pctl formulas must be constant.");
  Error.CondError(value < 0.0 || value > 1.0, "Probability bound for pctl formulas must be in [0, 1].");
  Error.CondError(!is_int_buntil, "Bound for UNTIL must be integer.");
  if (!Error.CondError(!has_value_buntil, "Bound for UNTIL must be constant."))
    Error.CondError(buntil < 0, "Bound for UNTIL must be at least 0.");
}

void pctlNextError(bool is_real, bool is_int, bool has_value, double value)
{
  Error.CondError(!is_real && !is_int, "Probability bound for pctl formulas must be real.");
  Error.CondError(!has_value, "Probability bound for pctl formulas must be constant.");
  Error.CondError(value < 0.0 || value > 1.0, "Probability bound for pctl formulas must be in [0, 1].");
}

#line 77 "y.tab.c"
#define END 257
#define PROGRAM 258
#define PROCESS 259
#define PROCEDURE 260
#define ENDPROCEDURE 261
#define FUNCTION 262
#define ENDFUNCTION 263
#define RULE 264
#define ENDRULE 265
#define RULESET 266
#define ENDRULESET 267
#define ALIAS 268
#define ENDALIAS 269
#define IF 270
#define THEN 271
#define ELSIF 272
#define ELSE 273
#define ENDIF 274
#define SWITCH 275
#define CASE 276
#define ENDSWITCH 277
#define FOR 278
#define FORALL 279
#define EXISTS 280
#define IN 281
#define DO 282
#define ENDFOR 283
#define ENDFORALL 284
#define ENDEXISTS 285
#define WHILE 286
#define ENDWHILE 287
#define RETURN 288
#define TO 289
#define bEGIN 290
#define BY 291
#define OLDEND 292
#define LONGARROW 293
#define DOTDOT 294
#define CLEAR 295
#define ERROR 296
#define ASSERT 297
#define PUT 298
#define CONST 299
#define TYPE 300
#define VAR 301
#define ENUM 302
#define INTERLEAVED 303
#define RECORD 304
#define ARRAY 305
#define OF 306
#define ENDRECORD 307
#define STARTSTATE 308
#define ENDSTARTSTATE 309
#define INVARIANT 310
#define TRACEUNTIL 311
#define PCTL 312
#define UNTIL 313
#define NEXT 314
#define STRING 315
#define ID 316
#define INTCONST 317
#define REALCONST 318
#define REAL 319
#define LOG 320
#define LOG10 321
#define EXP 322
#define SIN 323
#define COS 324
#define TAN 325
#define FABS 326
#define FLOOR 327
#define CEIL 328
#define SQRT 329
#define FMOD 330
#define POW 331
#define ASIN 332
#define ACOS 333
#define ATAN 334
#define SINH 335
#define COSH 336
#define TANH 337
#define EXTERNFUN 338
#define EXTERNPROC 339
#define SCALARSET 340
#define ISMEMBER 341
#define UNDEFINE 342
#define ISUNDEFINED 343
#define UNDEFINED 344
#define UNION 345
#define MULTISET 346
#define MULTISETREMOVE 347
#define MULTISETREMOVEPRED 348
#define MULTISETADD 349
#define MULTISETCOUNT 350
#define CHOOSE 351
#define ENDCHOOSE 352
#define ASSIGN 353
#define IMPLIES 354
#define PCTLIMPLIES 355
#define PCTLOR 356
#define PCTLAND 357
#define NOT 358
#define PCTLNOT 359
#define LEQ 360
#define NEQ 361
#define GEQ 362
#define YYERRCODE 256
static const short yylhs[] = {                           -1,
   67,   69,   70,   71,    0,   66,   66,   72,   72,   72,
   73,   73,   77,   76,   74,   74,   78,    5,    5,    5,
    5,    5,    5,    5,    5,    5,    4,   11,   79,    6,
   12,   12,   12,    8,   80,   81,    7,   82,   82,   55,
   13,   13,   13,   84,   83,    3,    3,    9,   10,   63,
   64,   85,   85,   86,   86,   86,   75,   75,   88,   87,
    1,    1,   68,   68,   68,   68,   68,   93,   95,   91,
   96,   92,   97,   99,  100,   89,  101,  101,  102,  103,
  104,  105,   90,  106,  106,   94,   94,   14,   14,   14,
   14,  108,   15,  109,   15,  107,    2,    2,   98,   98,
   21,   21,   21,   59,   59,   60,   60,   60,   60,   60,
   60,   60,   60,   61,   61,   61,   61,   62,   62,   62,
   62,   18,   18,   18,   18,   18,   18,   18,   18,   18,
   18,   18,   18,   18,   18,   18,   18,   18,   18,   18,
   18,   18,   18,   18,   18,   18,   18,   18,   18,   18,
   18,   18,   18,   18,   18,   18,   18,   18,   18,   18,
   18,   18,   18,   18,  111,   18,  114,   18,   18,  116,
  117,   18,  113,  113,  115,  115,   22,   22,   23,   23,
   23,   23,   16,   16,  110,  110,  112,  112,   56,   56,
  118,   26,   26,   25,   25,   25,   24,   24,   24,   24,
   24,   24,   24,   24,   24,   24,   24,   24,   24,   24,
   24,   28,   28,   27,  119,  119,   40,   40,   52,   39,
   39,   29,  120,  120,  121,  122,   37,  123,  123,   53,
   53,   54,  124,   30,  125,  125,   31,   32,   65,   41,
  126,  127,   42,   42,   33,   34,   35,   35,  129,   36,
  130,  130,  128,  128,  128,  128,   17,   38,   19,   19,
   43,   43,   43,   44,   44,   44,   44,   44,   44,   44,
  131,   45,  132,  132,   20,   20,   57,   57,   58,   58,
  133,   46,  134,   47,  135,  135,  136,  137,   50,   51,
   51,  138,  138,  139,   48,  140,  140,   49,
};
static const short yylen[] = {                            2,
    0,    0,    0,    0,    8,    2,    0,    2,    2,    2,
    3,    0,    1,    3,    3,    0,    3,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    6,    0,    5,
    3,    2,    1,    3,    0,    0,    6,    1,    1,    0,
    3,    2,    1,    0,    3,    3,    2,    7,    7,    4,
    4,    3,    3,    1,    1,    1,    3,    0,    0,    3,
    3,    2,    2,    2,    2,    2,    0,    0,    0,   11,
    0,    8,    0,    0,    0,   13,    1,    1,    0,    0,
    0,    0,   16,    1,    1,    1,    0,    3,    2,    1,
    3,    0,    3,    0,    2,    2,    3,    2,    2,    0,
    1,    4,    3,    3,    0,    3,    3,    3,    2,    3,
    1,    1,    1,    9,    9,    9,    9,    6,    6,    6,
    6,    5,    3,    3,    3,    2,    3,    3,    3,    3,
    3,    3,    3,    3,    2,    2,    3,    3,    3,    1,
    1,    4,    4,    4,    4,    4,    4,    4,    4,    4,
    4,    6,    6,    4,    4,    4,    4,    4,    4,    1,
    2,    4,    6,    3,    0,    6,    0,    6,    1,    0,
    0,   10,    1,    1,    1,    1,    3,    2,    3,    1,
    3,    1,    3,    6,    3,    1,    1,    1,    2,    0,
    0,    2,    0,    3,    2,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    3,    3,    6,    1,    1,    2,    1,    4,    2,
    0,    5,    1,    1,    0,    0,    7,    1,    1,    2,
    0,    4,    0,    6,    1,    1,    2,    2,    2,    6,
    0,    0,   10,    6,    2,    3,    2,    2,    0,    6,
    1,    1,    3,    2,    3,    1,    3,    2,    1,    0,
    3,    2,    1,    1,    1,    1,    1,    1,    1,    1,
    0,    8,    1,    1,    2,    0,    1,    0,    1,    0,
    0,    6,    0,    6,    1,    1,    0,    0,    9,    2,
    1,    1,    1,    0,    6,    1,    1,    3,
};
static const short yydefred[] = {                         1,
    0,    7,    0,   12,   16,   58,   67,    6,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,   63,   64,   65,   66,    0,   13,   11,
    0,   15,   57,    0,   73,   79,   68,   71,  269,    0,
  283,  281,  294,    0,  287,    4,    0,  264,  265,  266,
  267,  268,  270,  169,  165,  167,    0,  140,  141,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,   29,   40,   40,    0,
    0,    0,    0,   40,   18,   17,   20,   22,   21,   23,
   26,   19,    0,   24,   25,    0,    0,   60,    0,    0,
    0,    0,  279,    0,    0,    0,    0,  277,    0,    0,
    0,    0,    0,    0,    0,  161,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,  170,    0,  135,  136,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,   35,
    0,    0,    0,    0,    0,    0,   62,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  256,    0,    0,
    0,    0,    0,    5,  261,    0,    0,  182,  178,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  101,
    0,    0,    0,  164,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,  137,  138,  139,    0,
  103,    0,   36,    0,    0,    0,   54,   56,   55,    0,
    0,    0,    0,   61,   92,    0,   90,    0,    0,    0,
    0,    0,    0,  271,    0,    0,    0,  187,  188,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,  111,  112,    0,    0,    0,  177,  142,  143,
  144,  145,  146,  147,  148,  149,  150,  151,    0,    0,
  154,  155,  156,  157,  158,  159,    0,  162,    0,    0,
  102,   33,    0,   44,    0,    0,   50,    0,   51,    0,
    0,    0,    0,    0,    0,    0,   95,   80,   69,    0,
  275,    0,    0,  183,  185,    0,    0,  255,  253,    0,
   99,    0,    0,    0,  109,    0,    0,    0,    0,    0,
    0,    0,  104,    0,    0,  181,    0,    0,    0,    0,
    0,    0,   32,    0,   30,    0,   43,    0,    0,    0,
   52,   53,    0,   93,   91,   88,   74,    0,    0,   96,
    0,    0,    0,    0,    0,  286,  285,  284,  252,  251,
  282,  297,  296,  295,  249,    0,    0,  233,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
  196,    0,  198,  197,  199,  201,  202,  203,  204,  205,
  206,  207,  200,  208,  210,  211,  209,    0,  110,    0,
    0,    0,    0,  106,  174,  173,  166,  176,  175,  168,
  152,  153,  163,    0,   31,   39,   38,    0,   37,    0,
    0,   28,    0,    0,   98,    0,    0,    0,   72,    0,
    0,    0,    0,    0,    0,    0,    0,  258,    0,  245,
    0,  248,    0,  237,    0,    0,  241,    0,    0,    0,
    0,    0,    0,  171,   41,    0,    0,   45,   48,   49,
   75,   97,    0,    0,  274,  273,  272,    0,  184,    0,
    0,  226,    0,    0,  246,    0,    0,    0,  213,    0,
  194,    0,    0,    0,    0,    0,    0,    0,   47,    0,
    0,   81,    0,    0,    0,    0,  231,    0,    0,    0,
    0,    0,  293,  292,  289,    0,    0,    0,    0,    0,
    0,    0,    0,   46,    0,    0,   70,    0,    0,    0,
  218,    0,    0,    0,    0,  224,  223,  222,    0,    0,
    0,    0,    0,    0,  172,   78,   77,    0,   82,  250,
    0,  220,  216,  215,  214,  217,    0,    0,  230,  236,
  235,  234,  244,    0,  240,    0,    0,    0,    0,   76,
    0,    0,    0,  229,  228,  227,    0,    0,    0,    0,
    0,    0,  219,    0,    0,   85,   84,    0,  232,    0,
   83,  243,
};
static const short yydgoto[] = {                          1,
  108,  380,  488,   95,   96,   97,   98,   99,  100,  101,
  102,  313,  366,  256,  257,  185,  188,  103,  468,  264,
   86,  126,  201,  411,  412,  342,  413,  414,  415,  416,
  417,  418,  419,  420,  421,  422,  423,  424,  551,  552,
  425,  426,   46,   47,   48,   49,   50,   51,   52,   53,
    0,  553,  554,  579,  170,  499,  119,  114,  194,  282,
  283,  284,  104,  105,  427,  275,    2,   12,    7,   23,
  121,    8,    9,   10,   11,   14,  273,   16,  169,  243,
  314,  449,  367,  368,  250,  251,   17,   18,   24,   25,
   26,   27,  111,  258,  382,  112,  109,  276,  454,  521,
  568,  110,  381,  546,  591,  608,  327,  322,  259,  186,
  123,  270,  437,  124,  440,  223,  518,  343,  575,  558,
  502,  527,  596,  465,  582,  507,  597,  189,  462,  391,
  332,  497,  116,  115,  388,  120,  428,  535,  117,  394,
};
static const short yysindex[] = {                         0,
    0,    0,  111,    0,    0,    0,    0,    0, -252, -239,
    0, -214,   41,   64,   97,   64,   64, -228,  -85,  -83,
  -59,  -51,  304,    0,    0,    0,    0, 5112,    0,    0,
 4603,    0,    0,  206,    0,    0,    0,    0,    0,  -45,
    0,    0,    0,    7,    0,    0,   64,    0,    0,    0,
    0,    0,    0,    0,    0,    0,  241,    0,    0,  285,
  297,  305,  310,  319,  330,  334,  344,  352,  361,  366,
  373,  385,  388,  392,  394,  405,  407,  411,  420,  422,
 5112, 5112, 5112, 5112, 4198,  -26,    0,    0,    0,  241,
  427,  431,  187,    0,    0,    0,    0,    0,    0,    0,
    0,    0,  545,    0,    0, 4603,  157,    0,  432,  435,
  436,  440,    0,    7,  171,  172,    7,    0, 5112,  179,
  198,  304,  171,  171, 4689,    0, 5112, 5112, 5112, 5112,
 5112, 5112, 5112, 5112, 5112, 5112, 5112, 5112, 5112, 5112,
 5112, 5112, 5112, 5112,  183,  183,    0,  121,    0,    0,
 1314, 5112, 5112, 5112, 5112, 5112, 5112, 5112, 5112, 5112,
 5112, 5112, 5112, 5112, 5112, 5112, 5112,  184,  374,    0,
  423, 5112, 5112, -261,  424, 5112,    0,  206,  217,  217,
  217,  217, 5112,  -57,  460,  -52,  474,    0,   -5,    0,
 4198,  476, 4334,    0,    0,  -52,  -52,    0,    0, 4198,
  133, 1383, 1411, 1442, 1453, 1717, 1791, 1819, 1850, 1861,
 2125,  270, 2199, 2227, 2258, 2269, 2533, 2607, 2635,    0,
    5,   80,  222,    0, 2666,   29,  175,  121,  524,  524,
  524,  524,  524,  524,  307,  307,    0,    0,    0, 2941,
    0,  223,    0, 4603, 3015, 3043,    0,    0,    0,  -28,
  511, 5112, 4198,    0,    0,  103,    0,  516,  242,  532,
  533,  535, 3081,    0, 5112, 4603,  171,    0,    0,  304,
 5112,  172,  172,  304,   96,    0,  183, 4334, 4334, 4275,
 4198,   86,    0,    0, 5112, 5112, 4784,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0, 5112, 5112,
    0,    0,    0,    0,    0,    0, 4603,    0,  520, 5112,
    0,    0,   50,    0,  487, 5112,    0, -261,    0, -261,
 3807,  242,  217,  217,   64,  236,    0,    0,    0,    7,
    0,    0, 3818,    0,    0,   62, 4198,    0,    0, -171,
    0, -240, 2447,  -26,    0, 1314,  -16, 4334,  195, 4334,
 4334, 4334,    0,  142,  988,    0, 4198, 3861, 3969,  543,
  183, 4226,    0,  273,    0,  -17,    0,  275,  287, 3998,
    0,    0,  289,    0,    0,    0,    0, 4603,  280,    0,
  539,  544,   64,    0, 5112,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0, 5112, 5112,    0, 5112, 5112,
  183,  286, 5112, 4866,  241,  183,  563,  564,  569,  -35,
    0,   64,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  -52,    0,   74,
  253, -333,  258,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,  132,    0,    0,    0,    0,    0,  247,
 4603,    0, 4603,    0,    0,  236, 4603, 4603,    0,  -64,
 4009,  172, 4053, 4198,  171,  941, 4198,    0,  -26,    0,
 4081,    0, 4198,    0,  -26, 5112,    0,  183, 4948, 2447,
  304,   40, 5112,    0,    0, 4603,  300,    0,    0,    0,
    0,    0,   64,    7,    0,    0,    0, 5112,    0,   -5,
    0,    0,  -52,    0,    0, 4092,  306,  148,    0, 4198,
    0, -182, 5112, 5112, 5112, 5112, 3638, 5112,    0,  247,
    0,    0,   64, 4198,    0,  144,    0,    0, -217,  183,
  562,  183,    0,    0,    0, 4198, 4198, 4198, 4198, 5112,
 5112,   93, 4146,    0,  110,    0,    0, -171, 5112,    0,
    0, -212,  144,   -3, -196,    0,    0,    0,   81,  183,
  154,    0,    0,   84,    0,    0,    0,   64,    0,    0,
 4157,    0,    0,    0,    0,    0, 5030,  -58,    0,    0,
    0,    0,    0,  -26,    0, 5112, 5112, 5112, 5112,    0,
    0,    0,  276,    0,    0,    0,  577, 4198, 4198, 4198,
 4198,  124,    0,    0, 5112,    0,    0,   64,    0, 4187,
    0,    0,
};
static const short yyrindex[] = {                         0,
    0,    0,  672,    0,    0,    0,    0,    0, 5299, 5313,
 3156,  634,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0, 4426,
    0,    0,    0, 5194,    0,    0,   30,    0,    0,    0,
    0,    0,    0,    0,    0,    0,  377,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,  566,  486,    0,    0,    0, 3727,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0, 4521,    0,    0, 5358,    0,    0,    0,
  623,   31,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0, 1269,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  -34,  -34,
  -34,  -34, 4791,    0,  -31,    0,    0,    0,    0, 5413,
   26,    0,    0,    0,    0,    0,    0,    0,    0,  167,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0, 3005, 2901, 1373, 1677, 1781,
 2085, 2189, 2493, 2597,  824,  931,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0, 1326,    0,    0,  585,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,   24,    0,    0, 3997,    0,    0,    0,    0,
   -9,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,  311,   -7,    0,    0,    0,    0,    0,  570,
    0, 5468,    0,    0,    0,    0,   34,    0,    0,    0,
    0,    0,    0,  -15,    0,  101,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,  188,    0,    0,    0,
    0, 3309,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0, 5745,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  801,
    0,    0,    0,    0,  -18,    0,    0,    0,    0,    0,
    0, 1125,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,  -12,  230,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  -47,    0,    0,
    0,    0,    0, 5533,    0,    0,    0,    0,    0,    0,
  -44,    0,    0,  131,    0,    0, 1057,    0, 3204,    0,
 4115,    0, 4207,    0, 4949,    0,    0,    0,    0, 5195,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,  570,    0,    0,    0,    0,    0,    0,
 5622,    0,    0, 5769,    0,    0,    0,    0,    0, 5277,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
 5811,    0,    0,  -23, 5845, -194,    0, 5869,    0,    0,
    0,    0,    0,    0,    0,  150,  156,  165,  185,    0,
    0,    0,    0,    0,    0, 5588,    0,    0,    0, 5711,
    0,    0, -194,  -50,    0,    0,    0,    0,    0,    0,
    0, 3391, 3480,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,  584,    0,    0,    0,    0,    0,    0,
 5911, 5622,    0,    0,    0,    0,    0,  243,  262,  368,
  518,    0,    0, 5656,    0,    0,    0,    0,    0,    0,
    0,    0,
};
static const short yygindex[] = {                         0,
  457,  180,  117,    0,  -93, -164,    0,    0,    0,    0,
    0,    0,    0,    0,   33,    0,  181,  -24,    0,    0,
 -127,  234,   66,  161,    0,  331,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,   91,   94,
    0,    0, -113,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,  159,    0, -109,    0,    0,  503,
    0,    0, -130,    0,    0,  650,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,  -14,    0,    0,    0,
    0,    0,  210,    0,    0, -122,    0,    0,    0,    0,
    0,    0,    0,  284,    0,    0,    0, -294,    0,    0,
    0,    0,    0,    0,    0,    0,  341,    0,    0, -102,
    0,  288,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  203,    0,  119,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
};
#define YYTABLESIZE 6260
static const short yytable[] = {                         30,
  266,   32,   33,   85,  183,  269,   87,  190,  195,  248,
  168,   42,  177,  190,  190,  318,  392,  221,  222,  168,
  196,  197,  351,  352,  429,  298,  186,  101,  108,  263,
  262,  113,  122,   89,  189,  189,   89,  384,  272,  556,
   87,   29,  288,  249,  573,   19,  108,   20,  307,  113,
  168,   89,  269,   29,  247,  167,  148,  149,  150,  151,
  580,  574,  221,   13,  167,  166,  155,  254,  393,  557,
  164,  162,  101,  163,  533,  165,   15,  257,   92,  221,
  108,  254,  254,  113,  298,  389,  581,   34,  156,  158,
  161,  257,  257,  364,  191,  167,  319,  390,   28,  513,
  200,  516,  202,  203,  204,  205,  206,  207,  208,  209,
  210,  211,  212,  213,  214,  215,  216,  217,  218,  219,
  308,  583,   29,   21,   22,  168,  168,  225,  226,  227,
  228,  229,  230,  231,  232,  233,  234,  235,  236,  237,
  238,  239,  240,  586,   29,  589,  323,  245,  246,  344,
  315,  253,  154,  248,   31,  248,  336,  166,  263,  491,
  340,   29,  164,  162,  335,  163,  482,  165,  281,  534,
  167,  167,  334,  288,  365,  484,  287,  168,  166,  155,
  156,  158,  161,  164,  162,  564,  163,  249,  165,  249,
  118,  532,  495,  168,  585,  371,  119,  372,  594,  168,
  496,  156,  158,  161,  152,  121,  221,  180,  118,   42,
  180,  166,  155,  360,  119,  410,  164,  162,  595,  163,
  383,  165,  167,  121,  180,  120,  221,  321,  179,  268,
   35,  179,   36,  444,  156,  158,  161,  190,  167,  446,
  333,  324,  118,  120,  167,  179,  337,  171,  119,  107,
  186,  569,  175,  281,  346,  281,   37,  121,  189,   42,
  354,  355,  357,  106,   38,  154,  288,  353,   44,  550,
  107,  113,  577,  469,  358,  359,  268,  120,  475,  379,
  125,   94,  298,  114,  455,  362,  263,  262,  107,  447,
  487,  370,  298,  378,  298,  265,  263,  262,  263,  262,
  108,  114,  115,  113,  486,  254,  166,  155,   94,  174,
  377,  164,  162,  299,  163,  257,  165,  479,  386,  287,
  115,  118,  107,  281,  127,  281,  281,  281,  387,  156,
  158,  161,  152,  604,  101,  114,  128,  298,  350,  351,
  352,  263,  262,  166,  129,  113,  113,  113,  164,  130,
  508,  448,  410,  165,  115,  375,  376,  489,  131,  490,
  461,  505,  503,  493,  494,  363,  566,  512,  459,  132,
  567,  463,  464,  133,  466,  467,  101,  298,  471,  473,
  606,  263,  262,  134,  523,  341,  607,  225,  157,  159,
  160,  135,  519,  154,    4,    5,    6,  480,  435,  514,
  136,  515,  559,  225,  561,  137,  225,  225,  117,    4,
    5,    6,  138,  101,  101,  549,  550,  101,  101,  101,
  101,  101,  101,  101,  139,  436,  117,  140,  350,  351,
  352,  141,  584,  142,  101,  101,  101,  101,  101,  101,
  350,  351,  352,  587,  143,  588,  144,  350,  351,  352,
  145,  506,  338,  339,  510,  113,  113,  113,  517,  146,
  117,  147,  118,  260,  261,  262,  172,  101,  119,  101,
  173,  179,  178,  524,  180,  181,  274,  121,  522,  182,
  157,  159,  160,  285,  286,  160,  184,  187,  536,  537,
  538,  539,  281,  543,  192,  153,  242,  120,  220,  241,
  101,  157,  159,  160,  118,  118,  118,  431,  547,  193,
  119,  119,  119,  244,  252,  562,  563,  255,  267,  121,
  121,  121,  160,  160,  571,  160,  160,  160,  160,  160,
  160,  271,  160,  277,  157,  159,  160,  309,  312,  120,
  120,  120,  107,  160,  160,  160,  160,  160,  160,  350,
  351,  352,  200,  590,  320,  114,  325,  326,  116,   39,
  166,  598,  599,  600,  601,  164,  162,   40,  163,   41,
  165,   42,  328,  329,  115,  330,  116,  361,  160,  369,
  610,  166,  155,  443,  107,  107,  164,  162,  445,  163,
  450,  165,  451,  611,  453,  456,  457,  114,  114,  114,
  470,  458,  476,  477,  156,  158,  161,  152,  478,  160,
  116,   43,  483,   44,  352,  520,  115,  115,  115,  560,
  605,  531,  105,  153,   14,   86,   94,  242,  278,  157,
  159,  160,  101,  101,  254,  492,  544,  101,  474,  101,
  511,  101,  593,  101,  578,  101,  576,  101,  101,  101,
  101,    3,  101,  101,   45,  101,  101,  485,  101,  101,
  101,  101,  374,  101,  500,  101,  570,  101,  154,  101,
  101,    0,    0,    0,    0,    0,    0,    0,    0,    0,
  117,    0,    0,  101,    0,  101,    0,    0,  101,  101,
    0,  101,  101,  101,  101,    0,  101,  101,  101,  101,
  101,  101,  101,  101,  101,  101,  101,  101,  101,  101,
  101,  101,  101,  101,  460,  481,    0,  101,    0,  101,
    0,    0,  117,  117,  117,    0,  101,    0,  101,    0,
  101,  101,  101,  101,  101,  101,  101,  101,  101,    0,
    0,  160,  160,    0,    0,    0,  160,    0,  160,    0,
  160,    0,  160,  504,  160,    0,  160,  160,  160,  160,
    0,  160,  160,    0,  160,  160,    0,  160,  160,  160,
  160,    0,  160,    0,  160,    0,  160,    0,  160,  160,
  345,  347,  349,    0,    0,    0,    0,  525,    0,    0,
  528,    0,  160,    0,  160,    0,    0,  160,  160,    0,
  160,  160,  160,  160,    0,  160,  160,  160,  160,  160,
  160,  160,  160,  160,  160,  160,  160,  160,  160,  160,
  160,  160,  160,  133,    0,    0,  160,    0,  160,    0,
  116,  526,    0,    0,  529,  160,    0,  160,  176,  160,
  160,  160,  160,  160,  160,  160,  160,  160,    0,    0,
  430,  545,  432,  433,  434,  548,    0,    0,  555,  260,
    0,  133,    0,  133,  133,    0,  133,  133,  133,    0,
    0,    0,  116,  116,  116,    0,    0,    0,    0,    0,
  572,  133,  133,  133,  133,  133,  133,    0,    0,    3,
    0,    0,    0,    0,    0,    0,    0,    3,  153,    3,
    0,    3,    0,    0,  157,  159,  160,    0,    0,    0,
    0,    0,    0,    0,  133,    0,  133,    0,    0,    0,
    0,  602,  603,    0,    0,    0,    0,    2,    0,    0,
  134,    2,    0,    2,  609,    2,    0,    2,    0,    2,
    0,    3,    0,    3,    0,    0,    0,  133,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  134,    0,
  134,  134,    0,  134,  134,  134,    0,  166,  155,    2,
    0,    2,  164,  162,    3,  163,    0,  165,  134,  134,
  134,  134,  134,  134,    0,    0,    0,    0,  269,    0,
  156,  158,  161,  152,    0,    0,    0,    0,    0,    2,
    2,    0,    0,    0,    0,    0,    0,    0,    0,  542,
    0,  134,    2,  134,  166,  155,    0,    0,    0,  164,
  162,    0,  163,    0,  165,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  156,  158,  161,
  152,    0,    0,    0,  134,    0,    0,  260,    0,    0,
    0,  260,    0,  260,  154,  260,    0,    0,    0,  260,
    0,    0,  260,  260,  260,    0,  260,  260,    0,  133,
  133,    0,    0,  260,  133,    0,  133,  260,  133,    0,
  133,    0,  133,    0,  133,  133,  133,  133,    0,  133,
  133,    0,  133,  133,    0,  133,  133,  133,  133,  260,
  133,  154,  133,    0,  133,  259,  133,  133,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
  133,    0,  133,    0,    0,  133,  133,    0,  133,  133,
  133,  133,    0,  133,  133,  133,  133,  133,  133,  133,
  133,  133,  133,  133,  133,  133,  133,  133,  133,  133,
  133,    0,    0,    0,  133,    0,  133,    0,    0,    0,
    0,    0,    0,  133,    0,  133,    0,  133,  133,  133,
  133,  133,  133,  133,  133,  133,  134,  134,    0,    0,
    0,  134,    0,  134,    0,  134,    0,  134,    0,  134,
    0,  134,  134,  134,  134,    0,  134,  134,    0,  134,
  134,    0,  134,  134,  134,  134,    0,  134,    0,  134,
    0,  134,  268,  134,  134,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  134,    0,  134,
    0,    0,  134,  134,  438,  134,  134,  134,  134,    0,
  134,  134,  134,  134,  134,  134,  134,  134,  134,  134,
  134,  134,  134,  134,  134,  134,  134,  134,  126,    0,
    0,  134,  439,  134,    0,    0,    0,    0,    0,    0,
  134,    0,  134,    0,  134,  134,  134,  134,  134,  134,
  134,  134,  134,    0,  153,    0,    0,    0,    0,    0,
  157,  159,  160,    0,    0,    0,  126,    0,  126,  126,
    0,    0,  126,  259,    0,    0,    0,  259,    0,  259,
    0,  259,    0,    0,    0,  259,  126,  126,  259,  259,
  259,  126,  259,  259,    0,    0,    0,    0,    0,  259,
    0,  153,    0,  259,    0,    0,    0,  157,  159,  160,
  166,  155,    0,    0,  224,  164,  162,    0,  163,  126,
  165,  126,    0,    0,    0,  259,   34,    0,    0,   34,
    0,    0,  125,  156,  158,  161,  152,    0,    0,    0,
    0,  192,    0,   34,   34,  192,    0,  192,    0,  192,
    0,    0,  126,  192,    0,    0,  192,  192,  192,    0,
  192,  192,    0,    0,    0,    0,    0,  192,    0,    0,
  125,  192,  125,  125,    0,    0,  125,    0,   34,  166,
  155,    0,    0,  289,  164,  162,    0,  163,    0,  165,
  125,  125,    0,  192,    0,  125,    0,  154,    0,    0,
    0,    0,  156,  158,  161,  152,    0,  166,  155,    0,
    0,  290,  164,  162,    0,  163,    0,  165,    0,    0,
    0,    0,    0,  125,    0,  125,    0,    0,    0,    0,
  156,  158,  161,  152,    0,    0,    0,    0,  166,  155,
    0,    0,  291,  164,  162,    0,  163,    0,  165,  166,
  155,    0,    0,  292,  164,  162,  125,  163,    0,  165,
    0,  156,  158,  161,  152,    0,  154,    0,    0,    0,
    0,    0,  156,  158,  161,  152,    0,    0,    0,    0,
    0,    0,    0,    0,  126,  126,    0,    0,    0,  126,
    0,  126,    0,  126,  154,  126,    0,  126,    0,  126,
  126,  126,  126,    0,  126,  126,    0,  126,  126,    0,
  126,  126,  126,  126,    0,  126,    0,  126,    0,  126,
    0,  126,  126,    0,    0,  154,    0,    0,    0,    0,
    0,    0,    0,    0,    0,  126,  154,  126,    0,    0,
  126,  126,   34,  126,  126,  126,  126,    0,  126,  126,
  126,  126,  126,  126,  126,  126,  126,  126,  126,  126,
  126,  126,  126,  126,  126,  126,    0,   34,    0,  126,
    0,  126,    0,    0,    0,    0,    0,    0,  126,    0,
  126,    0,  126,  126,  126,  126,  126,  126,  125,  125,
    0,    0,   34,  125,    0,  125,    0,  125,    0,  125,
   34,  125,    0,  125,  125,  125,  125,    0,  125,  125,
    0,  125,  125,    0,  125,  125,  125,  125,    0,  125,
    0,  125,    0,  125,    0,  125,  125,  153,    0,    0,
    0,    0,    0,  157,  159,  160,  127,    0,    0,  125,
    0,  125,    0,    0,  125,  125,    0,  125,  125,  125,
  125,    0,  125,  125,  125,  125,  125,  125,  125,  125,
  125,  125,  125,  125,  125,  125,  125,  125,  125,  125,
    0,    0,    0,  125,  127,  125,  127,  127,    0,    0,
  127,    0,  125,    0,  125,    0,  125,  125,  125,  125,
  125,  125,    0,    0,  127,  127,  153,    0,    0,  127,
    0,    0,  157,  159,  160,    0,    0,    0,    0,    0,
    0,    0,    0,  166,  155,    0,    0,  293,  164,  162,
    0,  163,    0,  165,  153,    0,    0,  127,    0,  127,
  157,  159,  160,    0,    0,    0,  156,  158,  161,  152,
  128,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,  153,    0,    0,    0,    0,
  127,  157,  159,  160,    0,    0,  153,    0,    0,    0,
    0,    0,  157,  159,  160,    0,    0,    0,  128,    0,
  128,  128,    0,    0,  128,    0,    0,  166,  155,    0,
    0,  294,  164,  162,    0,  163,    0,  165,  128,  128,
  154,    0,    0,  128,    0,    0,    0,    0,    0,    0,
  156,  158,  161,  152,    0,  166,  155,    0,    0,  295,
  164,  162,    0,  163,    0,  165,    0,    0,    0,    0,
    0,  128,    0,  128,    0,    0,    0,    0,  156,  158,
  161,  152,    0,    0,    0,    0,  166,  155,    0,    0,
  296,  164,  162,    0,  163,    0,  165,  166,  155,    0,
    0,  297,  164,  162,  128,  163,    0,  165,    0,  156,
  158,  161,  152,    0,  154,    0,    0,    0,    0,    0,
  156,  158,  161,  152,    0,    0,    0,    0,    0,    0,
    0,    0,  127,  127,    0,    0,    0,  127,    0,  127,
    0,  127,  154,  127,    0,  127,    0,  127,  127,  127,
  127,    0,  127,  127,    0,  127,  127,    0,  127,  127,
  127,  127,    0,  127,    0,  127,    0,  127,    0,  127,
  127,    0,    0,  154,    0,    0,    0,    0,    0,    0,
    0,    0,    0,  127,  154,  127,    0,    0,  127,  127,
    0,  127,  127,  127,  127,    0,  127,  127,  127,  127,
  127,  127,  127,  127,  127,  127,  127,  127,  127,  127,
  127,  127,  127,  127,    0,    0,    0,  127,    0,  127,
    0,    0,    0,    0,    0,    0,  127,    0,  127,    0,
  127,  127,  127,  127,  127,  127,  128,  128,    0,    0,
    0,  128,    0,  128,    0,  128,    0,  128,    0,  128,
    0,  128,  128,  128,  128,    0,  128,  128,    0,  128,
  128,    0,  128,  128,  128,  128,    0,  128,    0,  128,
  153,  128,    0,  128,  128,    0,  157,  159,  160,    0,
    0,    0,    0,    0,  131,    0,    0,  128,    0,  128,
    0,    0,  128,  128,    0,  128,  128,  128,  128,    0,
  128,  128,  128,  128,  128,  128,  128,  128,  128,  128,
  128,  128,  128,  128,  128,  128,  128,  128,    0,    0,
    0,  128,  131,  128,  131,  131,    0,    0,  131,    0,
  128,    0,  128,    0,  128,  128,  128,  128,  128,  128,
    0,    0,  131,  131,  153,    0,    0,  131,    0,    0,
  157,  159,  160,    0,    0,    0,    0,    0,    0,    0,
    0,  166,  155,    0,    0,  298,  164,  162,    0,  163,
    0,  165,  153,    0,    0,  131,    0,  131,  157,  159,
  160,    0,    0,    0,  156,  158,  161,  152,  132,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,  153,    0,    0,    0,    0,  131,  157,
  159,  160,    0,    0,  153,    0,    0,    0,    0,    0,
  157,  159,  160,    0,    0,    0,  132,    0,  132,  132,
    0,    0,  132,    0,    0,  166,  155,    0,    0,    0,
  164,  162,  300,  163,    0,  165,  132,  132,  154,    0,
    0,  132,    0,    0,    0,    0,    0,    0,  156,  158,
  161,  152,    0,  166,  155,    0,    0,  301,  164,  162,
    0,  163,    0,  165,    0,    0,    0,    0,    0,  132,
    0,  132,    0,    0,    0,    0,  156,  158,  161,  152,
    0,    0,    0,    0,  166,  155,    0,    0,  302,  164,
  162,    0,  163,    0,  165,  166,  155,    0,    0,  303,
  164,  162,  132,  163,    0,  165,    0,  156,  158,  161,
  152,    0,  154,    0,    0,    0,    0,    0,  156,  158,
  161,  152,    0,    0,    0,    0,    0,    0,    0,    0,
  131,  131,    0,    0,    0,  131,    0,  131,    0,  131,
  154,  131,    0,  131,    0,  131,  131,  131,  131,    0,
  131,  131,    0,  131,  131,    0,  131,  131,  131,  131,
    0,  131,    0,  131,    0,  131,    0,  131,  131,    0,
    0,  154,    0,    0,    0,    0,    0,    0,    0,    0,
    0,  131,  154,  131,    0,    0,  131,  131,    0,  131,
  131,  131,  131,    0,  131,  131,  131,  131,  131,  131,
  131,  131,  131,  131,  131,  131,  131,  131,  131,  131,
  131,  131,    0,    0,    0,  131,    0,  131,    0,    0,
    0,    0,    0,    0,  131,    0,  131,    0,  131,  131,
  131,  131,  131,  131,  132,  132,    0,    0,    0,  132,
    0,  132,    0,  132,    0,  132,    0,  132,    0,  132,
  132,  132,  132,    0,  132,  132,    0,  132,  132,    0,
  132,  132,  132,  132,    0,  132,    0,  132,  153,  132,
    0,  132,  132,    0,  157,  159,  160,    0,    0,    0,
    0,    0,  130,    0,    0,  132,    0,  132,    0,    0,
  132,  132,    0,  132,  132,  132,  132,    0,  132,  132,
  132,  132,  132,  132,  132,  132,  132,  132,  132,  132,
  132,  132,  132,  132,  132,  132,    0,    0,    0,  132,
  130,  132,  130,  130,    0,    0,  130,    0,  132,    0,
  132,    0,  132,  132,  132,  132,  132,  132,    0,    0,
  130,  130,  153,    0,    0,  130,    0,    0,  157,  159,
  160,    0,    0,    0,    0,    0,    0,    0,    0,  166,
  155,    0,    0,  304,  164,  162,    0,  163,    0,  165,
  153,    0,    0,  130,    0,  130,  157,  159,  160,    0,
    0,    0,  156,  158,  161,  152,  129,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,  153,    0,    0,    0,    0,  130,  157,  159,  160,
    0,    0,  153,    0,    0,    0,    0,    0,  157,  159,
  160,    0,    0,    0,  129,    0,  129,  129,    0,    0,
  129,    0,    0,  166,  155,    0,    0,  305,  164,  162,
    0,  163,    0,  165,  129,  129,  154,    0,    0,  129,
    0,    0,    0,    0,    0,    0,  156,  158,  161,  152,
    0,  166,  155,    0,    0,  306,  164,  162,    0,  163,
    0,  165,    0,    0,    0,    0,    0,  129,    0,  129,
    0,    0,    0,    0,  156,  158,  161,  152,    0,    0,
    0,    0,  166,  155,    0,    0,    0,  164,  162,    0,
  163,    0,  165,    0,  395,    0,  396,    0,    0,    0,
  129,  397,    0,  310,  398,  156,  158,  161,  152,    0,
  154,    0,  399,    0,  400,    0,    0,    0,    0,    0,
    0,  401,  402,  403,  404,    0,    0,    0,  130,  130,
    0,    0,    0,  130,    0,  130,    0,  130,  154,  130,
    0,  130,  405,  130,  130,  130,  130,    0,  130,  130,
    0,  130,  130,    0,  130,  130,  130,  130,    0,  130,
    0,  130,    0,  130,    0,  130,  130,    0,  406,  154,
    0,    0,    0,  407,  408,  409,    0,    0,    0,  130,
    0,  130,    0,    0,  130,  130,    0,  130,  130,  130,
  130,    0,  130,  130,  130,  130,  130,  130,  130,  130,
  130,  130,  130,  130,  130,  130,  130,  130,  130,  130,
    0,    0,    0,  130,    0,  130,    0,    0,    0,    0,
    0,    0,  130,    0,  130,    0,  130,  130,  130,  130,
  130,  130,  129,  129,    0,    0,    0,  129,    0,  129,
    0,  129,    0,  129,    0,  129,    0,  129,  129,  129,
  129,    0,  129,  129,    0,  129,  129,    0,  129,  129,
  129,  129,    0,  129,    0,  129,  153,  129,    0,  129,
  129,    0,  157,  159,  160,    0,    0,    0,    0,    0,
  124,    0,    0,  129,    0,  129,    0,    0,  129,  129,
    0,  129,  129,  129,  129,    0,  129,  129,  129,  129,
  129,  129,  129,  129,  129,  129,  129,  129,  129,  129,
  129,  129,  129,  129,    0,    0,    0,  129,    0,  129,
  124,  124,    0,    0,  124,    0,  129,    0,  129,    0,
  129,  129,  129,  129,  129,  129,    0,    0,  124,  124,
  153,    0,    0,  124,    0,    0,  157,  159,  160,    0,
    0,    0,    0,    0,    0,    0,    0,  166,  155,    0,
    0,    0,  164,  162,    0,  163,    0,  165,  153,    0,
    0,  124,    0,  124,  157,  159,  160,    0,    0,    0,
  156,  158,  161,  152,  123,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  153,
    0,    0,    0,    0,  124,  157,  159,  160,    0,    0,
    0,    0,    0,  311,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,  123,  123,    0,    0,  123,    0,
    0,  166,  155,    0,    0,    0,  164,  162,  316,  163,
    0,  165,  123,  123,  154,    0,    0,  123,    0,    0,
    0,    0,    0,    0,  156,  158,  161,  152,    0,  166,
  155,    0,    0,  317,  164,  162,    0,  163,    0,  165,
    0,    0,    0,    0,    0,  123,    0,  123,    0,    0,
    0,    0,  156,  158,  161,  152,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  166,  155,    0,
    0,    0,  164,  162,    0,  163,    0,  165,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  154,    0,
  156,  158,  161,  152,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,  124,  124,    0,    0,
    0,  124,    0,  124,    0,  124,  154,  124,    0,  124,
    0,  124,  124,  124,  124,    0,  124,  124,    0,  124,
  124,    0,  124,  124,  124,  124,    0,  124,    0,  124,
    0,  124,    0,  124,  124,    0,    0,    0,    0,    0,
    0,    0,    0,    0,  154,    0,    0,  124,    0,  124,
    0,    0,  124,  124,    0,  124,  124,  124,  124,    0,
  124,  124,  124,  124,  124,  124,  124,  124,  124,  124,
  124,  124,  124,  124,  124,  124,  124,  124,    0,    0,
    0,  124,    0,  124,    0,    0,    0,    0,    0,    0,
  124,    0,  124,    0,  124,  124,  124,  124,  124,  124,
  123,  123,  238,    0,    0,  123,    0,  123,    0,  123,
    0,  123,    0,  123,    0,  123,  123,  123,  123,    0,
  123,  123,    0,  123,  123,    0,  123,  123,  123,  123,
    0,  123,    0,  123,  153,  123,    0,  123,  123,    0,
  157,  159,  160,    0,    0,    0,    0,    0,  122,    0,
    0,  123,    0,  123,    0,    0,  123,  123,    0,  123,
  123,  123,  123,    0,  123,  123,  123,  123,  123,  123,
  123,  123,  123,  123,  123,  123,  123,  123,  123,  123,
  123,  123,    0,    0,    0,  123,    0,  123,  122,  122,
    0,    0,  122,    0,  123,    0,  123,    0,    0,  123,
  123,  123,  123,  123,    0,    0,  122,  122,  153,    0,
    0,    0,    0,  331,  157,  159,  160,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,  153,    0,    0,  122,
    0,  122,  157,  159,  160,    0,    0,    0,    0,    0,
    0,   10,    0,    0,    0,   10,    0,   10,    0,   10,
    0,   10,    0,   10,    0,    0,    0,  135,  133,    0,
  133,    0,  135,  133,  153,  133,    0,  135,    0,    0,
  157,  159,  160,    0,    0,   10,    0,    0,    0,    0,
  133,  133,  133,  133,   10,   10,   10,    0,    0,    0,
  238,    0,    0,   10,  238,   10,  238,    0,  238,    0,
    0,   59,  238,    0,    0,  238,  238,  238,    0,  238,
  238,  133,    0,  135,    0,    0,  238,    0,    0,    0,
  238,    0,    0,   10,   10,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,   10,    0,    0,    0,
    0,    0,  238,    0,  133,    0,  136,  134,    0,  134,
    0,  136,  134,    0,  134,    0,  136,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  134,
  134,  134,  134,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,  122,  122,    0,    0,    0,  122,
  134,  122,  136,  122,    0,  122,    0,  122,    0,  122,
  122,  122,  122,    0,  122,  122,    0,  122,  122,    0,
  122,  122,  122,  122,    0,  122,    0,  122,    0,  122,
    0,  122,  122,  134,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,  122,    0,  122,    0,    0,
  122,  122,    0,  122,  122,  122,  122,    0,  122,  122,
  122,  122,  122,  122,  122,  122,  122,  122,  122,  122,
  122,  122,  122,  122,  122,  122,  133,    0,    0,  122,
    0,  122,    0,    0,    0,    0,    0,    0,  122,    0,
  122,    0,    0,  122,  122,  122,  122,  122,    0,  133,
  133,    0,    0,    0,  166,  155,    0,  279,    0,  164,
  540,    0,  541,    0,  165,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  156,  158,  161,
  152,    0,    0,    0,    0,    0,  133,  133,  133,    0,
  133,  133,  133,  133,  133,  133,  133,  133,  133,  133,
  133,  133,  133,  133,  133,  133,  133,  133,  280,    0,
    0,  133,    0,  133,    0,  134,    0,    0,    0,    0,
  133,    0,    0,    0,  133,  135,  135,  135,  133,  133,
  133,  133,  133,    0,    0,    0,    0,    0,  134,  134,
    0,  154,    0,  101,  101,    0,    0,   27,  101,  101,
   27,  101,  101,  101,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,   27,   27,  101,  101,  101,  101,
    0,    0,    0,    0,    0,  134,  134,  134,    0,  134,
  134,  134,  134,  134,  134,  134,  134,  134,  134,  134,
  134,  134,  134,  134,  134,  134,  134,  101,    0,   27,
  134,    0,  134,    0,    0,    0,    0,    0,    0,  134,
    0,    0,    0,  134,  136,  136,  136,  134,  134,  134,
  134,  134,    0,  166,  155,    0,    0,    0,  164,  162,
  101,  163,    0,  165,  166,  155,    0,    0,    0,  164,
  162,    0,  163,    0,  165,    0,  156,  158,  161,  152,
    0,    0,    0,    0,    0,    0,    0,  156,  158,  161,
  152,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,   54,    0,    0,    0,  166,  155,  373,
    0,  441,  164,  162,    0,  163,    0,  165,    0,    0,
    0,    0,    0,    0,    0,    0,   55,   56,    0,    0,
  156,  158,  161,  152,    0,    0,    0,    0,    0,    0,
  154,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,  154,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,   57,   58,   59,    0,   60,   61,   62,
   63,   64,   65,   66,   67,   68,   69,   70,   71,   72,
   73,   74,   75,   76,   77,    0,    0,    0,   78,    0,
   79,    0,    0,   27,  154,    0,    0,   80,    0,    0,
    0,  153,    0,    0,    0,   81,  278,  157,  159,  160,
    0,    0,    0,    0,    0,  166,  155,    0,   27,  442,
  164,  162,    0,  163,    0,  165,    0,    0,    0,    0,
  101,    0,    0,    0,    0,    0,    0,    0,  156,  158,
  161,  152,    0,   27,  166,  155,    0,    0,  452,  164,
  162,   27,  163,    0,  165,  166,  155,    0,    0,    0,
  164,  162,    0,  163,    0,  165,    0,  156,  158,  161,
  152,    0,    0,    0,    0,    0,    0,    0,  156,  158,
  161,  152,    0,    0,    0,    0,    0,    0,    0,    0,
  101,    0,    0,    0,    0,    0,  101,  101,  101,  166,
  155,    0,  154,    0,  164,  162,    0,  163,    0,  165,
    0,    0,    0,    0,    0,    0,  385,    0,    0,    0,
    0,    0,  156,  158,  161,  152,    0,  166,  155,    0,
    0,  154,  164,  162,    0,  163,    0,  165,  166,  155,
    0,    0,  154,  164,  162,  530,  163,    0,  165,    0,
  156,  158,  161,  152,    0,    0,    0,    0,    0,    0,
    0,  156,  158,  161,  152,    0,    0,    0,    0,    0,
  153,    0,    0,    0,    0,    0,  157,  159,  160,    0,
    0,  153,    0,  278,    0,    0,  154,  157,  159,  160,
    0,    0,  166,  155,    0,    0,  565,  164,  162,    0,
  163,    0,  165,  166,  155,    0,    0,    0,  164,  162,
    0,  163,    0,  165,  154,  156,  158,  161,  152,    0,
    0,    0,    0,    0,  153,  154,  156,  158,  161,  152,
  157,  159,  160,  166,  155,    0,    0,  612,  164,  162,
    0,  163,    0,  165,  166,  155,    0,    0,    0,  164,
  162,    0,  163,    0,  165,    0,  156,  158,  161,  152,
    0,    0,    0,  193,    0,    0,    0,  156,  158,  161,
  152,    0,  166,  155,  191,  247,  191,  164,  162,  154,
  163,  191,  165,    0,  191,    0,    0,    0,    0,    0,
  154,    0,  191,    0,  191,  156,  158,  161,    0,    0,
    0,  191,  191,  191,  191,    0,    0,    0,    0,  498,
    0,    0,    0,    0,    0,  193,    0,    0,    0,    0,
  154,    0,  191,    0,  279,    0,    0,   82,    0,   83,
    0,  154,  153,  501,    0,    0,    0,    0,  157,  159,
  160,    0,    0,    0,    0,    0,    0,    0,  191,    0,
    0,    0,    0,  191,  191,  191,    0,    0,    0,  154,
    0,  153,    0,    0,    0,    0,    0,  157,  159,  160,
    0,    0,  153,    0,    0,  280,    0,    0,  157,  159,
  160,  278,    0,  279,    0,  278,   82,  278,   83,  278,
    0,    0,    0,  278,    0,    0,  278,  278,  278,    0,
  278,  278,    0,    0,    0,  118,    0,  278,    0,    0,
    0,  278,    0,    0,    0,    0,  153,    0,    0,    0,
    0,    0,  157,  159,  160,    0,    0,    0,    0,    0,
    0,    0,    0,  278,  280,    0,    0,  592,    0,    0,
    0,    0,    0,    0,  153,    0,    0,    0,    0,    0,
  157,  159,  160,    0,    0,  153,    0,    0,    0,    0,
    0,  157,  159,  160,    0,    0,    0,    0,    0,    0,
    0,    0,    0,  247,    0,  280,    0,  247,  280,  247,
  280,  247,    0,    0,    0,  247,    0,    0,  247,  247,
  247,    0,  247,  247,    0,    0,    0,    0,    0,  247,
    0,    0,    0,  247,    0,    0,    0,    0,    0,  153,
    0,    0,    0,    0,    0,  157,  159,  160,    0,    0,
  153,    0,    0,    0,    0,  247,  157,  159,  160,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
   54,    0,    0,    0,    0,    0,    0,    0,    0,    0,
  153,    0,    0,    0,    0,    0,  157,  159,  160,    0,
    0,  153,    0,   55,   56,    0,    0,  157,  159,  160,
  278,    0,    0,  278,    0,  278,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  153,
    0,    0,    0,    0,    0,  157,  159,  160,  348,   54,
   57,   58,   59,    0,   60,   61,   62,   63,   64,   65,
   66,   67,   68,   69,   70,   71,   72,   73,   74,   75,
   76,   77,   55,   56,    0,   78,    0,   79,    0,    0,
    0,    0,    0,    0,   80,    0,    0,    0,    0,    0,
    0,    0,   81,  278,    0,    0,    0,    0,    0,    0,
    0,    0,   84,    0,    0,   82,    0,   83,    0,   57,
   58,   59,    0,   60,   61,   62,   63,   64,   65,   66,
   67,   68,   69,   70,   71,   72,   73,   74,   75,   76,
   77,    0,    0,    0,   78,    0,   79,    0,    0,    0,
    0,  280,  280,   80,    0,    0,    0,    0,    0,    0,
  280,   81,  278,  280,    0,  280,    0,    0,    0,    0,
  280,    0,    0,  280,  280,  280,    0,    0,    0,    0,
    0,  280,    0,  280,    0,  280,    0,    0,    0,    0,
  280,  280,  280,  280,  280,  280,  280,    0,   84,  199,
    0,   82,    0,   83,    0,    0,    0,    0,    0,    0,
  280,  280,    0,  280,    0,  280,  280,  280,  280,  280,
  280,  280,  280,  280,  280,  280,  280,  280,  280,  280,
  280,  280,  280,    0,    0,    0,  280,  280,  280,    0,
    0,    0,  280,  280,  280,  280,  278,  278,    0,    0,
    0,    0,    0,  280,    0,  278,    0,    0,  278,    0,
  278,    0,    0,    0,    0,  278,    0,    0,  278,  278,
  278,    0,    0,    0,    0,    0,  278,    0,  278,    0,
  278,    0,    0,    0,    0,  278,  278,  278,  278,  278,
  278,  278,    0,   84,    0,    0,   82,    0,   83,    0,
    0,    0,    0,    0,    0,    0,  278,  278,  278,    0,
  278,  278,  278,  278,  278,  278,  278,  278,  278,  278,
  278,  278,  278,  278,  278,  278,  278,  278,   54,    0,
    0,  278,  278,  278,    0,    0,    0,  278,  278,  278,
  278,    0,    0,    0,    0,    0,    0,    0,  278,    0,
    0,   55,   56,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,   87,   84,   88,   89,   82,    0,
   83,    0,    0,    0,    0,    0,    0,    0,   90,   58,
   59,   91,   60,   61,   62,   63,   64,   65,   66,   67,
   68,   69,   70,   71,   72,   73,   74,   75,   76,   77,
    0,    0,   92,   78,   54,   79,    0,   93,   94,    0,
    0,    0,   80,    0,    0,    0,    0,    0,    0,    0,
   81,    0,    0,    0,    0,    0,    0,   55,   56,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,   84,    0,    0,
   82,    0,   83,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,   57,   58,   59,  239,   60,   61,
   62,   63,   64,   65,   66,   67,   68,   69,   70,   71,
   72,   73,   74,   75,   76,   77,    0,    0,    0,   78,
    0,   79,  198,    0,    0,    0,    0,    0,   80,   54,
    0,    0,    0,    0,    0,    0,   81,  276,    0,    0,
    0,    0,    0,    0,    0,  276,    0,    0,  276,    0,
  276,    0,   55,   56,    0,  276,    0,    0,  276,   84,
    0,    0,   82,    0,   83,    0,  276,    0,  276,    0,
  276,    0,    0,    0,    0,  276,  276,  276,  276,  276,
  276,  276,    0,    0,    0,    0,    0,    0,    0,   57,
   58,   59,    0,   60,   61,   62,   63,   64,   65,   66,
   67,   68,   69,   70,   71,   72,   73,   74,   75,   76,
   77,   54,    0,    0,   78,    0,   79,  356,    0,    0,
    0,    0,  276,   80,    0,    0,    0,  276,  276,  276,
    0,   81,    0,    0,   55,   56,    0,    0,    0,    0,
    0,   84,    0,    0,   82,    0,   83,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
  472,   57,   58,   59,    0,   60,   61,   62,   63,   64,
   65,   66,   67,   68,   69,   70,   71,   72,   73,   74,
   75,   76,   77,   54,    0,  239,   78,    0,   79,  239,
    0,  239,    0,  239,    0,   80,    0,  239,    0,    0,
  239,  239,  239,   81,  239,  239,   55,   56,    0,    0,
    0,  239,    0,  278,    0,  239,  278,    0,  278,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,  195,    0,    0,    0,  239,    0,    0,
    0,    0,    0,   57,   58,   59,    0,   60,   61,   62,
   63,   64,   65,   66,   67,   68,   69,   70,   71,   72,
   73,   74,   75,   76,   77,   54,    0,    0,   78,    0,
   79,  509,    0,    0,    0,    0,    0,   80,    0,    0,
    0,    0,    0,    0,    0,   81,    0,    0,   55,   56,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,  212,    0,    0,    0,    0,
    0,    0,    0,    0,    0,   57,   58,   59,    0,   60,
   61,   62,   63,   64,   65,   66,   67,   68,   69,   70,
   71,   72,   73,   74,   75,   76,   77,   54,    0,    0,
   78,    0,   79,  198,    0,    0,    0,    0,    0,   80,
    0,    0,    0,    0,    0,    0,    0,   81,    0,    0,
   55,   56,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,   57,   58,   59,
    0,   60,   61,   62,   63,   64,   65,   66,   67,   68,
   69,   70,   71,   72,   73,   74,   75,   76,   77,  278,
    0,  195,   78,    0,   79,  195,    0,  195,    0,  195,
    0,   80,    0,  195,    0,    0,  195,  195,  195,   81,
  195,  195,  278,  278,    0,    0,    0,  195,    0,    0,
    0,  195,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,  195,    0,    0,    0,    0,    0,  278,
  278,  278,    0,  278,  278,  278,  278,  278,  278,  278,
  278,  278,  278,  278,  278,  278,  278,  278,  278,  278,
  278,    0,    0,  212,  278,    0,  278,  212,    0,  212,
    0,  212,    0,  278,    0,  212,    0,    0,  212,  212,
  212,  278,  212,  212,    8,    0,    0,    0,    8,  212,
    8,    0,    8,  212,    8,    0,    8,    0,    9,    0,
    0,    0,    9,    0,    9,    0,    9,    0,    9,    0,
    9,    0,    0,    0,    0,  212,    0,    0,    8,    0,
    0,    0,    0,    0,    0,    0,    0,    8,    8,    8,
    0,    0,    9,    0,    0,    0,    8,    0,    8,    0,
    0,    9,    9,    9,  278,    0,    0,    0,    0,    0,
    9,    0,    9,    0,    0,  278,    0,  278,    0,    0,
    0,    0,  278,    0,    0,  278,    8,    8,    0,    0,
    0,    0,    0,  278,    0,  278,    0,  278,    0,    8,
    9,    9,  278,  278,  278,  278,  278,  278,  278,    0,
    0,    0,    0,    9,    0,    0,  278,    0,    0,  100,
    0,    0,    0,  278,    0,    0,    0,    0,    0,    0,
  100,    0,  100,    0,    0,    0,    0,  100,    0,    0,
  100,    0,    0,    0,    0,    0,    0,    0,  100,  278,
  100,    0,    7,    0,  278,  278,  278,  100,  100,  100,
  100,    7,    7,    7,    0,    0,    0,    0,    0,    0,
    0,  100,    0,    0,  100,    0,    0,    0,  100,    0,
    0,    0,  100,    0,    0,  100,    0,  100,    0,    0,
    0,    0,  100,    0,    0,  100,    0,    0,    0,    0,
    0,    0,    0,  100,  100,  100,    0,    7,    0,  100,
  100,  100,  100,  100,  100,  100,    7,    7,    7,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,  100,    0,    0,    0,    0,    0,  100,
    0,    0,    0,  100,    0,    0,    0,    0,    0,    0,
  100,    0,  100,    0,    0,    0,    0,  100,    0,  100,
  100,    0,    0,    0,  100,  100,  100,    0,  100,    0,
  100,    0,    7,    0,    0,    0,    0,  100,  100,  100,
  100,    7,    7,    7,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,  100,    0,    0,    0,  100,    0,
  100,    0,    0,    0,    0,  100,    0,  100,    0,    0,
    0,    0,  100,    0,    0,  100,    0,    0,    0,    0,
    0,    0,    0,  100,  100,  100,    0,    7,  193,  100,
  100,  100,  100,  100,  100,  100,    7,    7,    7,  191,
    0,  191,    0,  193,  193,  193,  191,    0,    0,  191,
    0,    0,    0,  100,    0,    0,    0,  191,    0,  191,
    0,    0,  193,    0,    0,    0,  191,  191,  191,  191,
    0,    0,    0,  191,    0,  191,    0,    0,  193,  100,
  191,  193,  193,  191,  100,  100,  100,  191,    0,    0,
    0,  191,    0,  191,    0,    0,    0,    0,    0,    0,
  191,  191,  191,  191,    0,    0,    0,    0,    0,    0,
    0,    0,    0,  191,    0,    0,    0,  193,  191,  191,
  191,  191,    0,    0,    0,    0,    0,    0,  191,    0,
  191,    0,    0,    0,  193,  191,    0,  193,  191,    0,
    0,    0,    0,    0,    0,    0,  191,  191,  191,    0,
    0,  193,  191,  191,  191,  191,  191,  191,  191,  193,
    0,    0,  191,    0,  191,    0,    0,    0,    0,  191,
    0,    0,  191,    0,    0,  193,  191,    0,    0,    0,
  191,    0,  191,    0,    0,    0,  191,    0,  191,  191,
  191,  191,  191,  191,    0,    0,  191,    0,    0,    0,
    0,    0,  191,    0,  191,  193,  191,  191,  191,  191,
  191,    0,    0,  191,  191,  191,  191,  193,    0,    0,
    0,  193,    0,    0,    0,    0,    0,    0,  191,    0,
  191,    0,    0,    0,  191,  191,  191,    0,  191,    0,
    0,  191,  191,  191,    0,    0,  191,    0,  191,    0,
    0,  193,    0,    0,    0,  191,  191,  191,  191,    0,
  191,    0,  191,  193,  191,  191,  191,  191,    0,  191,
    0,    0,  191,    0,    0,  193,  191,    0,    0,    0,
  191,    0,  191,    0,    0,    0,  191,    0,  191,  191,
  191,  191,  191,  191,    0,    0,  191,    0,    0,    0,
    0,  193,  191,    0,  191,    0,  191,  191,  191,  191,
  191,    0,    0,  191,  191,  191,  191,  193,    0,    0,
    0,    0,    0,  193,    0,    0,    0,    0,  191,    0,
  191,    0,    0,    0,  191,  191,  191,    0,  191,    0,
    0,  191,  191,  191,    0,    0,  191,    0,  191,    0,
    0,    0,    0,    0,    0,  191,  191,  191,  191,    0,
  191,    0,    0,    0,    0,  191,  191,  191,    0,    0,
    0,    0,    0,    0,    0,    0,  191,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,  191,    0,    0,    0,    0,  191,  191,  191,
};
static const short yycheck[] = {                         14,
   58,   16,   17,   28,  114,   58,   41,  117,  122,  174,
   46,   59,  106,   58,   59,   44,  257,  145,  146,   46,
  123,  124,  356,  357,   41,    0,   58,   46,   41,    0,
    0,   41,   47,   41,   58,   59,   44,  332,   44,  257,
  302,   59,   58,  174,  257,  260,   59,  262,   44,   59,
   46,   59,   58,   59,  316,   91,   81,   82,   83,   84,
  257,  274,  257,  316,   91,   37,   38,   44,  309,  287,
   42,   43,   91,   45,  257,   47,  316,   44,  340,  274,
   93,   58,   59,   93,   59,  257,  283,  316,   60,   61,
   62,   58,   59,   44,  119,   91,  125,  269,   58,   60,
  125,   62,  127,  128,  129,  130,  131,  132,  133,  134,
  135,  136,  137,  138,  139,  140,  141,  142,  143,  144,
   41,   41,   59,  338,  339,   46,   46,  152,  153,  154,
  155,  156,  157,  158,  159,  160,  161,  162,  163,  164,
  165,  166,  167,   60,   59,   62,   44,  172,  173,  277,
  244,  176,  124,  318,   58,  320,  270,   37,  183,  454,
  274,   59,   42,   43,  267,   45,   93,   47,  193,  352,
   91,   91,  266,   41,  125,   44,   44,   46,   37,   38,
   60,   61,   62,   42,   43,   93,   45,  318,   47,  320,
   41,   44,  257,   46,   41,  318,   41,  320,  257,   46,
  265,   60,   61,   62,   63,   41,  257,   41,   59,  257,
   44,   37,   38,  307,   59,  343,   42,   43,  277,   45,
  330,   47,   91,   59,   58,   41,  277,  252,   41,  282,
  316,   44,  316,  361,   60,   61,   62,  282,   91,  257,
  265,  256,   93,   59,   91,   58,  271,   89,   93,   44,
  282,  546,   94,  278,  279,  280,  316,   93,  282,  307,
  285,  286,  287,   58,  316,  124,  282,  282,  316,  273,
   41,  317,  276,  401,  299,  300,  282,   93,  406,   44,
   40,  316,  257,   41,  378,  310,  257,  257,   59,  307,
   44,  316,  267,   58,  269,  353,  267,  267,  269,  269,
  313,   59,   41,  313,   58,  282,   37,   38,  316,  123,
  325,   42,   43,   44,   45,  282,   47,  353,  257,   44,
   59,  315,   93,  348,   40,  350,  351,  352,  267,   60,
   61,   62,   63,   58,  353,   93,   40,  312,  355,  356,
  357,  312,  312,   37,   40,  355,  356,  357,   42,   40,
  478,  366,  480,   47,   93,  323,  324,  451,   40,  453,
  385,  471,  465,  457,  458,  316,  257,  481,  383,   40,
  261,  396,  397,   40,  399,  400,    0,  352,  403,  404,
  257,  352,  352,   40,  494,  290,  263,  257,  360,  361,
  362,   40,  486,  124,  299,  300,  301,  412,  257,  360,
   40,  362,  530,  273,  532,   40,  276,  277,   41,  299,
  300,  301,   40,   37,   38,  272,  273,   41,   42,   43,
   44,   45,   46,   47,   40,  284,   59,   40,  355,  356,
  357,   40,  560,   40,   58,   59,   60,   61,   62,   63,
  355,  356,  357,  360,   40,  362,   40,  355,  356,  357,
   40,  476,  272,  273,  479,  355,  356,  357,  483,   40,
   93,   40,  313,  180,  181,  182,   40,   91,  313,   93,
   40,   40,  316,  498,   40,   40,  189,  313,  493,   40,
  360,  361,  362,  196,  197,    0,  316,  316,  513,  514,
  515,  516,  517,  518,  316,  354,  123,  313,  316,  316,
  124,  360,  361,  362,  355,  356,  357,  313,  523,  312,
  355,  356,  357,   91,   91,  540,  541,  301,   59,  355,
  356,  357,   37,   38,  549,   40,   41,   42,   43,   44,
   45,   58,   47,   58,  360,  361,  362,  316,  316,  355,
  356,  357,  313,   58,   59,   60,   61,   62,   63,  355,
  356,  357,  577,  568,   44,  313,   41,  316,   41,  256,
   37,  586,  587,  588,  589,   42,   43,  264,   45,  266,
   47,  268,   41,   41,  313,   41,   59,   58,   93,   93,
  605,   37,   38,   41,  355,  356,   42,   43,  316,   45,
  316,   47,  306,  608,  306,  316,   58,  355,  356,  357,
  315,   58,   40,   40,   60,   61,   62,   63,   40,  124,
   93,  308,  360,  310,  357,  316,  355,  356,  357,   58,
   44,  316,    0,  354,   59,   41,  316,   44,   59,  360,
  361,  362,  256,  257,  178,  456,  520,  261,  405,  263,
  480,  265,  577,  267,  554,  269,  553,  271,  272,  273,
  274,    2,  276,  277,  351,  279,  280,  448,  282,  283,
  284,  285,  322,  287,  462,  289,  548,  291,  124,  293,
  294,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  313,   -1,   -1,  307,   -1,  309,   -1,   -1,  312,  313,
   -1,  315,  316,  317,  318,   -1,  320,  321,  322,  323,
  324,  325,  326,  327,  328,  329,  330,  331,  332,  333,
  334,  335,  336,  337,  384,  428,   -1,  341,   -1,  343,
   -1,   -1,  355,  356,  357,   -1,  350,   -1,  352,   -1,
  354,  355,  356,  357,  358,  359,  360,  361,  362,   -1,
   -1,  256,  257,   -1,   -1,   -1,  261,   -1,  263,   -1,
  265,   -1,  267,  466,  269,   -1,  271,  272,  273,  274,
   -1,  276,  277,   -1,  279,  280,   -1,  282,  283,  284,
  285,   -1,  287,   -1,  289,   -1,  291,   -1,  293,  294,
  278,  279,  280,   -1,   -1,   -1,   -1,  500,   -1,   -1,
  503,   -1,  307,   -1,  309,   -1,   -1,  312,  313,   -1,
  315,  316,  317,  318,   -1,  320,  321,  322,  323,  324,
  325,  326,  327,  328,  329,  330,  331,  332,  333,  334,
  335,  336,  337,    0,   -1,   -1,  341,   -1,  343,   -1,
  313,  501,   -1,   -1,  504,  350,   -1,  352,  294,  354,
  355,  356,  357,  358,  359,  360,  361,  362,   -1,   -1,
  348,  521,  350,  351,  352,  525,   -1,   -1,  528,   59,
   -1,   38,   -1,   40,   41,   -1,   43,   44,   45,   -1,
   -1,   -1,  355,  356,  357,   -1,   -1,   -1,   -1,   -1,
  550,   58,   59,   60,   61,   62,   63,   -1,   -1,  256,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  264,  354,  266,
   -1,  268,   -1,   -1,  360,  361,  362,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   91,   -1,   93,   -1,   -1,   -1,
   -1,  591,  592,   -1,   -1,   -1,   -1,  256,   -1,   -1,
    0,  260,   -1,  262,  604,  264,   -1,  266,   -1,  268,
   -1,  308,   -1,  310,   -1,   -1,   -1,  124,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   38,   -1,
   40,   41,   -1,   43,   44,   45,   -1,   37,   38,  308,
   -1,  310,   42,   43,  351,   45,   -1,   47,   58,   59,
   60,   61,   62,   63,   -1,   -1,   -1,   -1,   58,   -1,
   60,   61,   62,   63,   -1,   -1,   -1,   -1,   -1,  338,
  339,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  517,
   -1,   91,  351,   93,   37,   38,   -1,   -1,   -1,   42,
   43,   -1,   45,   -1,   47,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   60,   61,   62,
   63,   -1,   -1,   -1,  124,   -1,   -1,  257,   -1,   -1,
   -1,  261,   -1,  263,  124,  265,   -1,   -1,   -1,  269,
   -1,   -1,  272,  273,  274,   -1,  276,  277,   -1,  256,
  257,   -1,   -1,  283,  261,   -1,  263,  287,  265,   -1,
  267,   -1,  269,   -1,  271,  272,  273,  274,   -1,  276,
  277,   -1,  279,  280,   -1,  282,  283,  284,  285,  309,
  287,  124,  289,   -1,  291,   59,  293,  294,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  307,   -1,  309,   -1,   -1,  312,  313,   -1,  315,  316,
  317,  318,   -1,  320,  321,  322,  323,  324,  325,  326,
  327,  328,  329,  330,  331,  332,  333,  334,  335,  336,
  337,   -1,   -1,   -1,  341,   -1,  343,   -1,   -1,   -1,
   -1,   -1,   -1,  350,   -1,  352,   -1,  354,  355,  356,
  357,  358,  359,  360,  361,  362,  256,  257,   -1,   -1,
   -1,  261,   -1,  263,   -1,  265,   -1,  267,   -1,  269,
   -1,  271,  272,  273,  274,   -1,  276,  277,   -1,  279,
  280,   -1,  282,  283,  284,  285,   -1,  287,   -1,  289,
   -1,  291,  282,  293,  294,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  307,   -1,  309,
   -1,   -1,  312,  313,  257,  315,  316,  317,  318,   -1,
  320,  321,  322,  323,  324,  325,  326,  327,  328,  329,
  330,  331,  332,  333,  334,  335,  336,  337,    0,   -1,
   -1,  341,  285,  343,   -1,   -1,   -1,   -1,   -1,   -1,
  350,   -1,  352,   -1,  354,  355,  356,  357,  358,  359,
  360,  361,  362,   -1,  354,   -1,   -1,   -1,   -1,   -1,
  360,  361,  362,   -1,   -1,   -1,   38,   -1,   40,   41,
   -1,   -1,   44,  257,   -1,   -1,   -1,  261,   -1,  263,
   -1,  265,   -1,   -1,   -1,  269,   58,   59,  272,  273,
  274,   63,  276,  277,   -1,   -1,   -1,   -1,   -1,  283,
   -1,  354,   -1,  287,   -1,   -1,   -1,  360,  361,  362,
   37,   38,   -1,   -1,   41,   42,   43,   -1,   45,   91,
   47,   93,   -1,   -1,   -1,  309,   41,   -1,   -1,   44,
   -1,   -1,    0,   60,   61,   62,   63,   -1,   -1,   -1,
   -1,  257,   -1,   58,   59,  261,   -1,  263,   -1,  265,
   -1,   -1,  124,  269,   -1,   -1,  272,  273,  274,   -1,
  276,  277,   -1,   -1,   -1,   -1,   -1,  283,   -1,   -1,
   38,  287,   40,   41,   -1,   -1,   44,   -1,   93,   37,
   38,   -1,   -1,   41,   42,   43,   -1,   45,   -1,   47,
   58,   59,   -1,  309,   -1,   63,   -1,  124,   -1,   -1,
   -1,   -1,   60,   61,   62,   63,   -1,   37,   38,   -1,
   -1,   41,   42,   43,   -1,   45,   -1,   47,   -1,   -1,
   -1,   -1,   -1,   91,   -1,   93,   -1,   -1,   -1,   -1,
   60,   61,   62,   63,   -1,   -1,   -1,   -1,   37,   38,
   -1,   -1,   41,   42,   43,   -1,   45,   -1,   47,   37,
   38,   -1,   -1,   41,   42,   43,  124,   45,   -1,   47,
   -1,   60,   61,   62,   63,   -1,  124,   -1,   -1,   -1,
   -1,   -1,   60,   61,   62,   63,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,  256,  257,   -1,   -1,   -1,  261,
   -1,  263,   -1,  265,  124,  267,   -1,  269,   -1,  271,
  272,  273,  274,   -1,  276,  277,   -1,  279,  280,   -1,
  282,  283,  284,  285,   -1,  287,   -1,  289,   -1,  291,
   -1,  293,  294,   -1,   -1,  124,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,  307,  124,  309,   -1,   -1,
  312,  313,  257,  315,  316,  317,  318,   -1,  320,  321,
  322,  323,  324,  325,  326,  327,  328,  329,  330,  331,
  332,  333,  334,  335,  336,  337,   -1,  282,   -1,  341,
   -1,  343,   -1,   -1,   -1,   -1,   -1,   -1,  350,   -1,
  352,   -1,  354,  355,  356,  357,  358,  359,  256,  257,
   -1,   -1,  307,  261,   -1,  263,   -1,  265,   -1,  267,
  315,  269,   -1,  271,  272,  273,  274,   -1,  276,  277,
   -1,  279,  280,   -1,  282,  283,  284,  285,   -1,  287,
   -1,  289,   -1,  291,   -1,  293,  294,  354,   -1,   -1,
   -1,   -1,   -1,  360,  361,  362,    0,   -1,   -1,  307,
   -1,  309,   -1,   -1,  312,  313,   -1,  315,  316,  317,
  318,   -1,  320,  321,  322,  323,  324,  325,  326,  327,
  328,  329,  330,  331,  332,  333,  334,  335,  336,  337,
   -1,   -1,   -1,  341,   38,  343,   40,   41,   -1,   -1,
   44,   -1,  350,   -1,  352,   -1,  354,  355,  356,  357,
  358,  359,   -1,   -1,   58,   59,  354,   -1,   -1,   63,
   -1,   -1,  360,  361,  362,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   37,   38,   -1,   -1,   41,   42,   43,
   -1,   45,   -1,   47,  354,   -1,   -1,   91,   -1,   93,
  360,  361,  362,   -1,   -1,   -1,   60,   61,   62,   63,
    0,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,  354,   -1,   -1,   -1,   -1,
  124,  360,  361,  362,   -1,   -1,  354,   -1,   -1,   -1,
   -1,   -1,  360,  361,  362,   -1,   -1,   -1,   38,   -1,
   40,   41,   -1,   -1,   44,   -1,   -1,   37,   38,   -1,
   -1,   41,   42,   43,   -1,   45,   -1,   47,   58,   59,
  124,   -1,   -1,   63,   -1,   -1,   -1,   -1,   -1,   -1,
   60,   61,   62,   63,   -1,   37,   38,   -1,   -1,   41,
   42,   43,   -1,   45,   -1,   47,   -1,   -1,   -1,   -1,
   -1,   91,   -1,   93,   -1,   -1,   -1,   -1,   60,   61,
   62,   63,   -1,   -1,   -1,   -1,   37,   38,   -1,   -1,
   41,   42,   43,   -1,   45,   -1,   47,   37,   38,   -1,
   -1,   41,   42,   43,  124,   45,   -1,   47,   -1,   60,
   61,   62,   63,   -1,  124,   -1,   -1,   -1,   -1,   -1,
   60,   61,   62,   63,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,  256,  257,   -1,   -1,   -1,  261,   -1,  263,
   -1,  265,  124,  267,   -1,  269,   -1,  271,  272,  273,
  274,   -1,  276,  277,   -1,  279,  280,   -1,  282,  283,
  284,  285,   -1,  287,   -1,  289,   -1,  291,   -1,  293,
  294,   -1,   -1,  124,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  307,  124,  309,   -1,   -1,  312,  313,
   -1,  315,  316,  317,  318,   -1,  320,  321,  322,  323,
  324,  325,  326,  327,  328,  329,  330,  331,  332,  333,
  334,  335,  336,  337,   -1,   -1,   -1,  341,   -1,  343,
   -1,   -1,   -1,   -1,   -1,   -1,  350,   -1,  352,   -1,
  354,  355,  356,  357,  358,  359,  256,  257,   -1,   -1,
   -1,  261,   -1,  263,   -1,  265,   -1,  267,   -1,  269,
   -1,  271,  272,  273,  274,   -1,  276,  277,   -1,  279,
  280,   -1,  282,  283,  284,  285,   -1,  287,   -1,  289,
  354,  291,   -1,  293,  294,   -1,  360,  361,  362,   -1,
   -1,   -1,   -1,   -1,    0,   -1,   -1,  307,   -1,  309,
   -1,   -1,  312,  313,   -1,  315,  316,  317,  318,   -1,
  320,  321,  322,  323,  324,  325,  326,  327,  328,  329,
  330,  331,  332,  333,  334,  335,  336,  337,   -1,   -1,
   -1,  341,   38,  343,   40,   41,   -1,   -1,   44,   -1,
  350,   -1,  352,   -1,  354,  355,  356,  357,  358,  359,
   -1,   -1,   58,   59,  354,   -1,   -1,   63,   -1,   -1,
  360,  361,  362,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   37,   38,   -1,   -1,   41,   42,   43,   -1,   45,
   -1,   47,  354,   -1,   -1,   91,   -1,   93,  360,  361,
  362,   -1,   -1,   -1,   60,   61,   62,   63,    0,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  354,   -1,   -1,   -1,   -1,  124,  360,
  361,  362,   -1,   -1,  354,   -1,   -1,   -1,   -1,   -1,
  360,  361,  362,   -1,   -1,   -1,   38,   -1,   40,   41,
   -1,   -1,   44,   -1,   -1,   37,   38,   -1,   -1,   -1,
   42,   43,   44,   45,   -1,   47,   58,   59,  124,   -1,
   -1,   63,   -1,   -1,   -1,   -1,   -1,   -1,   60,   61,
   62,   63,   -1,   37,   38,   -1,   -1,   41,   42,   43,
   -1,   45,   -1,   47,   -1,   -1,   -1,   -1,   -1,   91,
   -1,   93,   -1,   -1,   -1,   -1,   60,   61,   62,   63,
   -1,   -1,   -1,   -1,   37,   38,   -1,   -1,   41,   42,
   43,   -1,   45,   -1,   47,   37,   38,   -1,   -1,   41,
   42,   43,  124,   45,   -1,   47,   -1,   60,   61,   62,
   63,   -1,  124,   -1,   -1,   -1,   -1,   -1,   60,   61,
   62,   63,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  256,  257,   -1,   -1,   -1,  261,   -1,  263,   -1,  265,
  124,  267,   -1,  269,   -1,  271,  272,  273,  274,   -1,
  276,  277,   -1,  279,  280,   -1,  282,  283,  284,  285,
   -1,  287,   -1,  289,   -1,  291,   -1,  293,  294,   -1,
   -1,  124,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,  307,  124,  309,   -1,   -1,  312,  313,   -1,  315,
  316,  317,  318,   -1,  320,  321,  322,  323,  324,  325,
  326,  327,  328,  329,  330,  331,  332,  333,  334,  335,
  336,  337,   -1,   -1,   -1,  341,   -1,  343,   -1,   -1,
   -1,   -1,   -1,   -1,  350,   -1,  352,   -1,  354,  355,
  356,  357,  358,  359,  256,  257,   -1,   -1,   -1,  261,
   -1,  263,   -1,  265,   -1,  267,   -1,  269,   -1,  271,
  272,  273,  274,   -1,  276,  277,   -1,  279,  280,   -1,
  282,  283,  284,  285,   -1,  287,   -1,  289,  354,  291,
   -1,  293,  294,   -1,  360,  361,  362,   -1,   -1,   -1,
   -1,   -1,    0,   -1,   -1,  307,   -1,  309,   -1,   -1,
  312,  313,   -1,  315,  316,  317,  318,   -1,  320,  321,
  322,  323,  324,  325,  326,  327,  328,  329,  330,  331,
  332,  333,  334,  335,  336,  337,   -1,   -1,   -1,  341,
   38,  343,   40,   41,   -1,   -1,   44,   -1,  350,   -1,
  352,   -1,  354,  355,  356,  357,  358,  359,   -1,   -1,
   58,   59,  354,   -1,   -1,   63,   -1,   -1,  360,  361,
  362,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   37,
   38,   -1,   -1,   41,   42,   43,   -1,   45,   -1,   47,
  354,   -1,   -1,   91,   -1,   93,  360,  361,  362,   -1,
   -1,   -1,   60,   61,   62,   63,    0,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,  354,   -1,   -1,   -1,   -1,  124,  360,  361,  362,
   -1,   -1,  354,   -1,   -1,   -1,   -1,   -1,  360,  361,
  362,   -1,   -1,   -1,   38,   -1,   40,   41,   -1,   -1,
   44,   -1,   -1,   37,   38,   -1,   -1,   41,   42,   43,
   -1,   45,   -1,   47,   58,   59,  124,   -1,   -1,   63,
   -1,   -1,   -1,   -1,   -1,   -1,   60,   61,   62,   63,
   -1,   37,   38,   -1,   -1,   41,   42,   43,   -1,   45,
   -1,   47,   -1,   -1,   -1,   -1,   -1,   91,   -1,   93,
   -1,   -1,   -1,   -1,   60,   61,   62,   63,   -1,   -1,
   -1,   -1,   37,   38,   -1,   -1,   -1,   42,   43,   -1,
   45,   -1,   47,   -1,  268,   -1,  270,   -1,   -1,   -1,
  124,  275,   -1,   58,  278,   60,   61,   62,   63,   -1,
  124,   -1,  286,   -1,  288,   -1,   -1,   -1,   -1,   -1,
   -1,  295,  296,  297,  298,   -1,   -1,   -1,  256,  257,
   -1,   -1,   -1,  261,   -1,  263,   -1,  265,  124,  267,
   -1,  269,  316,  271,  272,  273,  274,   -1,  276,  277,
   -1,  279,  280,   -1,  282,  283,  284,  285,   -1,  287,
   -1,  289,   -1,  291,   -1,  293,  294,   -1,  342,  124,
   -1,   -1,   -1,  347,  348,  349,   -1,   -1,   -1,  307,
   -1,  309,   -1,   -1,  312,  313,   -1,  315,  316,  317,
  318,   -1,  320,  321,  322,  323,  324,  325,  326,  327,
  328,  329,  330,  331,  332,  333,  334,  335,  336,  337,
   -1,   -1,   -1,  341,   -1,  343,   -1,   -1,   -1,   -1,
   -1,   -1,  350,   -1,  352,   -1,  354,  355,  356,  357,
  358,  359,  256,  257,   -1,   -1,   -1,  261,   -1,  263,
   -1,  265,   -1,  267,   -1,  269,   -1,  271,  272,  273,
  274,   -1,  276,  277,   -1,  279,  280,   -1,  282,  283,
  284,  285,   -1,  287,   -1,  289,  354,  291,   -1,  293,
  294,   -1,  360,  361,  362,   -1,   -1,   -1,   -1,   -1,
    0,   -1,   -1,  307,   -1,  309,   -1,   -1,  312,  313,
   -1,  315,  316,  317,  318,   -1,  320,  321,  322,  323,
  324,  325,  326,  327,  328,  329,  330,  331,  332,  333,
  334,  335,  336,  337,   -1,   -1,   -1,  341,   -1,  343,
   40,   41,   -1,   -1,   44,   -1,  350,   -1,  352,   -1,
  354,  355,  356,  357,  358,  359,   -1,   -1,   58,   59,
  354,   -1,   -1,   63,   -1,   -1,  360,  361,  362,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   37,   38,   -1,
   -1,   -1,   42,   43,   -1,   45,   -1,   47,  354,   -1,
   -1,   91,   -1,   93,  360,  361,  362,   -1,   -1,   -1,
   60,   61,   62,   63,    0,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  354,
   -1,   -1,   -1,   -1,  124,  360,  361,  362,   -1,   -1,
   -1,   -1,   -1,   93,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   40,   41,   -1,   -1,   44,   -1,
   -1,   37,   38,   -1,   -1,   -1,   42,   43,   44,   45,
   -1,   47,   58,   59,  124,   -1,   -1,   63,   -1,   -1,
   -1,   -1,   -1,   -1,   60,   61,   62,   63,   -1,   37,
   38,   -1,   -1,   41,   42,   43,   -1,   45,   -1,   47,
   -1,   -1,   -1,   -1,   -1,   91,   -1,   93,   -1,   -1,
   -1,   -1,   60,   61,   62,   63,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   37,   38,   -1,
   -1,   -1,   42,   43,   -1,   45,   -1,   47,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  124,   -1,
   60,   61,   62,   63,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,  256,  257,   -1,   -1,
   -1,  261,   -1,  263,   -1,  265,  124,  267,   -1,  269,
   -1,  271,  272,  273,  274,   -1,  276,  277,   -1,  279,
  280,   -1,  282,  283,  284,  285,   -1,  287,   -1,  289,
   -1,  291,   -1,  293,  294,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,  124,   -1,   -1,  307,   -1,  309,
   -1,   -1,  312,  313,   -1,  315,  316,  317,  318,   -1,
  320,  321,  322,  323,  324,  325,  326,  327,  328,  329,
  330,  331,  332,  333,  334,  335,  336,  337,   -1,   -1,
   -1,  341,   -1,  343,   -1,   -1,   -1,   -1,   -1,   -1,
  350,   -1,  352,   -1,  354,  355,  356,  357,  358,  359,
  256,  257,   59,   -1,   -1,  261,   -1,  263,   -1,  265,
   -1,  267,   -1,  269,   -1,  271,  272,  273,  274,   -1,
  276,  277,   -1,  279,  280,   -1,  282,  283,  284,  285,
   -1,  287,   -1,  289,  354,  291,   -1,  293,  294,   -1,
  360,  361,  362,   -1,   -1,   -1,   -1,   -1,    0,   -1,
   -1,  307,   -1,  309,   -1,   -1,  312,  313,   -1,  315,
  316,  317,  318,   -1,  320,  321,  322,  323,  324,  325,
  326,  327,  328,  329,  330,  331,  332,  333,  334,  335,
  336,  337,   -1,   -1,   -1,  341,   -1,  343,   40,   41,
   -1,   -1,   44,   -1,  350,   -1,  352,   -1,   -1,  355,
  356,  357,  358,  359,   -1,   -1,   58,   59,  354,   -1,
   -1,   -1,   -1,  293,  360,  361,  362,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,  354,   -1,   -1,   91,
   -1,   93,  360,  361,  362,   -1,   -1,   -1,   -1,   -1,
   -1,  256,   -1,   -1,   -1,  260,   -1,  262,   -1,  264,
   -1,  266,   -1,  268,   -1,   -1,   -1,   37,   38,   -1,
   40,   -1,   42,   43,  354,   45,   -1,   47,   -1,   -1,
  360,  361,  362,   -1,   -1,  290,   -1,   -1,   -1,   -1,
   60,   61,   62,   63,  299,  300,  301,   -1,   -1,   -1,
  257,   -1,   -1,  308,  261,  310,  263,   -1,  265,   -1,
   -1,  316,  269,   -1,   -1,  272,  273,  274,   -1,  276,
  277,   91,   -1,   93,   -1,   -1,  283,   -1,   -1,   -1,
  287,   -1,   -1,  338,  339,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,  351,   -1,   -1,   -1,
   -1,   -1,  309,   -1,  124,   -1,   37,   38,   -1,   40,
   -1,   42,   43,   -1,   45,   -1,   47,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   60,
   61,   62,   63,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,  256,  257,   -1,   -1,   -1,  261,
   91,  263,   93,  265,   -1,  267,   -1,  269,   -1,  271,
  272,  273,  274,   -1,  276,  277,   -1,  279,  280,   -1,
  282,  283,  284,  285,   -1,  287,   -1,  289,   -1,  291,
   -1,  293,  294,  124,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,  307,   -1,  309,   -1,   -1,
  312,  313,   -1,  315,  316,  317,  318,   -1,  320,  321,
  322,  323,  324,  325,  326,  327,  328,  329,  330,  331,
  332,  333,  334,  335,  336,  337,  256,   -1,   -1,  341,
   -1,  343,   -1,   -1,   -1,   -1,   -1,   -1,  350,   -1,
  352,   -1,   -1,  355,  356,  357,  358,  359,   -1,  279,
  280,   -1,   -1,   -1,   37,   38,   -1,   40,   -1,   42,
   43,   -1,   45,   -1,   47,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   60,   61,   62,
   63,   -1,   -1,   -1,   -1,   -1,  316,  317,  318,   -1,
  320,  321,  322,  323,  324,  325,  326,  327,  328,  329,
  330,  331,  332,  333,  334,  335,  336,  337,   91,   -1,
   -1,  341,   -1,  343,   -1,  256,   -1,   -1,   -1,   -1,
  350,   -1,   -1,   -1,  354,  355,  356,  357,  358,  359,
  360,  361,  362,   -1,   -1,   -1,   -1,   -1,  279,  280,
   -1,  124,   -1,   37,   38,   -1,   -1,   41,   42,   43,
   44,   45,   46,   47,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   58,   59,   60,   61,   62,   63,
   -1,   -1,   -1,   -1,   -1,  316,  317,  318,   -1,  320,
  321,  322,  323,  324,  325,  326,  327,  328,  329,  330,
  331,  332,  333,  334,  335,  336,  337,   91,   -1,   93,
  341,   -1,  343,   -1,   -1,   -1,   -1,   -1,   -1,  350,
   -1,   -1,   -1,  354,  355,  356,  357,  358,  359,  360,
  361,  362,   -1,   37,   38,   -1,   -1,   -1,   42,   43,
  124,   45,   -1,   47,   37,   38,   -1,   -1,   -1,   42,
   43,   -1,   45,   -1,   47,   -1,   60,   61,   62,   63,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   60,   61,   62,
   63,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  256,   -1,   -1,   -1,   37,   38,   93,
   -1,   41,   42,   43,   -1,   45,   -1,   47,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,  279,  280,   -1,   -1,
   60,   61,   62,   63,   -1,   -1,   -1,   -1,   -1,   -1,
  124,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,  124,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  316,  317,  318,   -1,  320,  321,  322,
  323,  324,  325,  326,  327,  328,  329,  330,  331,  332,
  333,  334,  335,  336,  337,   -1,   -1,   -1,  341,   -1,
  343,   -1,   -1,  257,  124,   -1,   -1,  350,   -1,   -1,
   -1,  354,   -1,   -1,   -1,  358,  359,  360,  361,  362,
   -1,   -1,   -1,   -1,   -1,   37,   38,   -1,  282,   41,
   42,   43,   -1,   45,   -1,   47,   -1,   -1,   -1,   -1,
  294,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   60,   61,
   62,   63,   -1,  307,   37,   38,   -1,   -1,   41,   42,
   43,  315,   45,   -1,   47,   37,   38,   -1,   -1,   -1,
   42,   43,   -1,   45,   -1,   47,   -1,   60,   61,   62,
   63,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   60,   61,
   62,   63,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  354,   -1,   -1,   -1,   -1,   -1,  360,  361,  362,   37,
   38,   -1,  124,   -1,   42,   43,   -1,   45,   -1,   47,
   -1,   -1,   -1,   -1,   -1,   -1,  289,   -1,   -1,   -1,
   -1,   -1,   60,   61,   62,   63,   -1,   37,   38,   -1,
   -1,  124,   42,   43,   -1,   45,   -1,   47,   37,   38,
   -1,   -1,  124,   42,   43,   44,   45,   -1,   47,   -1,
   60,   61,   62,   63,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   60,   61,   62,   63,   -1,   -1,   -1,   -1,   -1,
  354,   -1,   -1,   -1,   -1,   -1,  360,  361,  362,   -1,
   -1,  354,   -1,   59,   -1,   -1,  124,  360,  361,  362,
   -1,   -1,   37,   38,   -1,   -1,   41,   42,   43,   -1,
   45,   -1,   47,   37,   38,   -1,   -1,   -1,   42,   43,
   -1,   45,   -1,   47,  124,   60,   61,   62,   63,   -1,
   -1,   -1,   -1,   -1,  354,  124,   60,   61,   62,   63,
  360,  361,  362,   37,   38,   -1,   -1,   41,   42,   43,
   -1,   45,   -1,   47,   37,   38,   -1,   -1,   -1,   42,
   43,   -1,   45,   -1,   47,   -1,   60,   61,   62,   63,
   -1,   -1,   -1,  257,   -1,   -1,   -1,   60,   61,   62,
   63,   -1,   37,   38,  268,   59,  270,   42,   43,  124,
   45,  275,   47,   -1,  278,   -1,   -1,   -1,   -1,   -1,
  124,   -1,  286,   -1,  288,   60,   61,   62,   -1,   -1,
   -1,  295,  296,  297,  298,   -1,   -1,   -1,   -1,  291,
   -1,   -1,   -1,   -1,   -1,  309,   -1,   -1,   -1,   -1,
  124,   -1,  316,   -1,   40,   -1,   -1,   43,   -1,   45,
   -1,  124,  354,  271,   -1,   -1,   -1,   -1,  360,  361,
  362,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  342,   -1,
   -1,   -1,   -1,  347,  348,  349,   -1,   -1,   -1,  124,
   -1,  354,   -1,   -1,   -1,   -1,   -1,  360,  361,  362,
   -1,   -1,  354,   -1,   -1,   91,   -1,   -1,  360,  361,
  362,  257,   -1,   40,   -1,  261,   43,  263,   45,  265,
   -1,   -1,   -1,  269,   -1,   -1,  272,  273,  274,   -1,
  276,  277,   -1,   -1,   -1,  315,   -1,  283,   -1,   -1,
   -1,  287,   -1,   -1,   -1,   -1,  354,   -1,   -1,   -1,
   -1,   -1,  360,  361,  362,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  309,   91,   -1,   -1,  271,   -1,   -1,
   -1,   -1,   -1,   -1,  354,   -1,   -1,   -1,   -1,   -1,
  360,  361,  362,   -1,   -1,  354,   -1,   -1,   -1,   -1,
   -1,  360,  361,  362,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  257,   -1,   40,   -1,  261,   43,  263,
   45,  265,   -1,   -1,   -1,  269,   -1,   -1,  272,  273,
  274,   -1,  276,  277,   -1,   -1,   -1,   -1,   -1,  283,
   -1,   -1,   -1,  287,   -1,   -1,   -1,   -1,   -1,  354,
   -1,   -1,   -1,   -1,   -1,  360,  361,  362,   -1,   -1,
  354,   -1,   -1,   -1,   -1,  309,  360,  361,  362,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  256,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  354,   -1,   -1,   -1,   -1,   -1,  360,  361,  362,   -1,
   -1,  354,   -1,  279,  280,   -1,   -1,  360,  361,  362,
   40,   -1,   -1,   43,   -1,   45,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  354,
   -1,   -1,   -1,   -1,   -1,  360,  361,  362,  314,  256,
  316,  317,  318,   -1,  320,  321,  322,  323,  324,  325,
  326,  327,  328,  329,  330,  331,  332,  333,  334,  335,
  336,  337,  279,  280,   -1,  341,   -1,  343,   -1,   -1,
   -1,   -1,   -1,   -1,  350,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,  358,  359,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   40,   -1,   -1,   43,   -1,   45,   -1,  316,
  317,  318,   -1,  320,  321,  322,  323,  324,  325,  326,
  327,  328,  329,  330,  331,  332,  333,  334,  335,  336,
  337,   -1,   -1,   -1,  341,   -1,  343,   -1,   -1,   -1,
   -1,  256,  257,  350,   -1,   -1,   -1,   -1,   -1,   -1,
  265,  358,  359,  268,   -1,  270,   -1,   -1,   -1,   -1,
  275,   -1,   -1,  278,  279,  280,   -1,   -1,   -1,   -1,
   -1,  286,   -1,  288,   -1,  290,   -1,   -1,   -1,   -1,
  295,  296,  297,  298,  299,  300,  301,   -1,   40,   41,
   -1,   43,   -1,   45,   -1,   -1,   -1,   -1,   -1,   -1,
  315,  316,   -1,  318,   -1,  320,  321,  322,  323,  324,
  325,  326,  327,  328,  329,  330,  331,  332,  333,  334,
  335,  336,  337,   -1,   -1,   -1,  341,  342,  343,   -1,
   -1,   -1,  347,  348,  349,  350,  256,  257,   -1,   -1,
   -1,   -1,   -1,  358,   -1,  265,   -1,   -1,  268,   -1,
  270,   -1,   -1,   -1,   -1,  275,   -1,   -1,  278,  279,
  280,   -1,   -1,   -1,   -1,   -1,  286,   -1,  288,   -1,
  290,   -1,   -1,   -1,   -1,  295,  296,  297,  298,  299,
  300,  301,   -1,   40,   -1,   -1,   43,   -1,   45,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,  316,  317,  318,   -1,
  320,  321,  322,  323,  324,  325,  326,  327,  328,  329,
  330,  331,  332,  333,  334,  335,  336,  337,  256,   -1,
   -1,  341,  342,  343,   -1,   -1,   -1,  347,  348,  349,
  350,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  358,   -1,
   -1,  279,  280,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,  302,   40,  304,  305,   43,   -1,
   45,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  316,  317,
  318,  319,  320,  321,  322,  323,  324,  325,  326,  327,
  328,  329,  330,  331,  332,  333,  334,  335,  336,  337,
   -1,   -1,  340,  341,  256,  343,   -1,  345,  346,   -1,
   -1,   -1,  350,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  358,   -1,   -1,   -1,   -1,   -1,   -1,  279,  280,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   40,   -1,   -1,
   43,   -1,   45,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,  316,  317,  318,   59,  320,  321,
  322,  323,  324,  325,  326,  327,  328,  329,  330,  331,
  332,  333,  334,  335,  336,  337,   -1,   -1,   -1,  341,
   -1,  343,  344,   -1,   -1,   -1,   -1,   -1,  350,  256,
   -1,   -1,   -1,   -1,   -1,   -1,  358,  257,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,  265,   -1,   -1,  268,   -1,
  270,   -1,  279,  280,   -1,  275,   -1,   -1,  278,   40,
   -1,   -1,   43,   -1,   45,   -1,  286,   -1,  288,   -1,
  290,   -1,   -1,   -1,   -1,  295,  296,  297,  298,  299,
  300,  301,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  316,
  317,  318,   -1,  320,  321,  322,  323,  324,  325,  326,
  327,  328,  329,  330,  331,  332,  333,  334,  335,  336,
  337,  256,   -1,   -1,  341,   -1,  343,  344,   -1,   -1,
   -1,   -1,  342,  350,   -1,   -1,   -1,  347,  348,  349,
   -1,  358,   -1,   -1,  279,  280,   -1,   -1,   -1,   -1,
   -1,   40,   -1,   -1,   43,   -1,   45,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  315,  316,  317,  318,   -1,  320,  321,  322,  323,  324,
  325,  326,  327,  328,  329,  330,  331,  332,  333,  334,
  335,  336,  337,  256,   -1,  257,  341,   -1,  343,  261,
   -1,  263,   -1,  265,   -1,  350,   -1,  269,   -1,   -1,
  272,  273,  274,  358,  276,  277,  279,  280,   -1,   -1,
   -1,  283,   -1,   40,   -1,  287,   43,   -1,   45,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   59,   -1,   -1,   -1,  309,   -1,   -1,
   -1,   -1,   -1,  316,  317,  318,   -1,  320,  321,  322,
  323,  324,  325,  326,  327,  328,  329,  330,  331,  332,
  333,  334,  335,  336,  337,  256,   -1,   -1,  341,   -1,
  343,  344,   -1,   -1,   -1,   -1,   -1,  350,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,  358,   -1,   -1,  279,  280,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   59,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,  316,  317,  318,   -1,  320,
  321,  322,  323,  324,  325,  326,  327,  328,  329,  330,
  331,  332,  333,  334,  335,  336,  337,  256,   -1,   -1,
  341,   -1,  343,  344,   -1,   -1,   -1,   -1,   -1,  350,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  358,   -1,   -1,
  279,  280,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  316,  317,  318,
   -1,  320,  321,  322,  323,  324,  325,  326,  327,  328,
  329,  330,  331,  332,  333,  334,  335,  336,  337,  256,
   -1,  257,  341,   -1,  343,  261,   -1,  263,   -1,  265,
   -1,  350,   -1,  269,   -1,   -1,  272,  273,  274,  358,
  276,  277,  279,  280,   -1,   -1,   -1,  283,   -1,   -1,
   -1,  287,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  309,   -1,   -1,   -1,   -1,   -1,  316,
  317,  318,   -1,  320,  321,  322,  323,  324,  325,  326,
  327,  328,  329,  330,  331,  332,  333,  334,  335,  336,
  337,   -1,   -1,  257,  341,   -1,  343,  261,   -1,  263,
   -1,  265,   -1,  350,   -1,  269,   -1,   -1,  272,  273,
  274,  358,  276,  277,  256,   -1,   -1,   -1,  260,  283,
  262,   -1,  264,  287,  266,   -1,  268,   -1,  256,   -1,
   -1,   -1,  260,   -1,  262,   -1,  264,   -1,  266,   -1,
  268,   -1,   -1,   -1,   -1,  309,   -1,   -1,  290,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  299,  300,  301,
   -1,   -1,  290,   -1,   -1,   -1,  308,   -1,  310,   -1,
   -1,  299,  300,  301,  257,   -1,   -1,   -1,   -1,   -1,
  308,   -1,  310,   -1,   -1,  268,   -1,  270,   -1,   -1,
   -1,   -1,  275,   -1,   -1,  278,  338,  339,   -1,   -1,
   -1,   -1,   -1,  286,   -1,  288,   -1,  290,   -1,  351,
  338,  339,  295,  296,  297,  298,  299,  300,  301,   -1,
   -1,   -1,   -1,  351,   -1,   -1,  309,   -1,   -1,  257,
   -1,   -1,   -1,  316,   -1,   -1,   -1,   -1,   -1,   -1,
  268,   -1,  270,   -1,   -1,   -1,   -1,  275,   -1,   -1,
  278,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  286,  342,
  288,   -1,  290,   -1,  347,  348,  349,  295,  296,  297,
  298,  299,  300,  301,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,  309,   -1,   -1,  257,   -1,   -1,   -1,  316,   -1,
   -1,   -1,  265,   -1,   -1,  268,   -1,  270,   -1,   -1,
   -1,   -1,  275,   -1,   -1,  278,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  286,  342,  288,   -1,  290,   -1,  347,
  348,  349,  295,  296,  297,  298,  299,  300,  301,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  316,   -1,   -1,   -1,   -1,   -1,  257,
   -1,   -1,   -1,  261,   -1,   -1,   -1,   -1,   -1,   -1,
  268,   -1,  270,   -1,   -1,   -1,   -1,  275,   -1,  342,
  278,   -1,   -1,   -1,  347,  348,  349,   -1,  286,   -1,
  288,   -1,  290,   -1,   -1,   -1,   -1,  295,  296,  297,
  298,  299,  300,  301,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,  257,   -1,   -1,   -1,  316,   -1,
  263,   -1,   -1,   -1,   -1,  268,   -1,  270,   -1,   -1,
   -1,   -1,  275,   -1,   -1,  278,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  286,  342,  288,   -1,  290,  257,  347,
  348,  349,  295,  296,  297,  298,  299,  300,  301,  268,
   -1,  270,   -1,  272,  273,  274,  275,   -1,   -1,  278,
   -1,   -1,   -1,  316,   -1,   -1,   -1,  286,   -1,  288,
   -1,   -1,  257,   -1,   -1,   -1,  295,  296,  297,  298,
   -1,   -1,   -1,  268,   -1,  270,   -1,   -1,  273,  342,
  275,  276,  277,  278,  347,  348,  349,  316,   -1,   -1,
   -1,  286,   -1,  288,   -1,   -1,   -1,   -1,   -1,   -1,
  295,  296,  297,  298,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  342,   -1,   -1,   -1,  257,  347,  348,
  349,  316,   -1,   -1,   -1,   -1,   -1,   -1,  268,   -1,
  270,   -1,   -1,   -1,  274,  275,   -1,  277,  278,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,  286,  342,  288,   -1,
   -1,  257,  347,  348,  349,  295,  296,  297,  298,  265,
   -1,   -1,  268,   -1,  270,   -1,   -1,   -1,   -1,  275,
   -1,   -1,  278,   -1,   -1,  257,  316,   -1,   -1,   -1,
  286,   -1,  288,   -1,   -1,   -1,  268,   -1,  270,  295,
  296,  297,  298,  275,   -1,   -1,  278,   -1,   -1,   -1,
   -1,   -1,  342,   -1,  286,  287,  288,  347,  348,  349,
  316,   -1,   -1,  295,  296,  297,  298,  257,   -1,   -1,
   -1,  261,   -1,   -1,   -1,   -1,   -1,   -1,  268,   -1,
  270,   -1,   -1,   -1,  316,  275,  342,   -1,  278,   -1,
   -1,  347,  348,  349,   -1,   -1,  286,   -1,  288,   -1,
   -1,  257,   -1,   -1,   -1,  295,  296,  297,  298,   -1,
  342,   -1,  268,  269,  270,  347,  348,  349,   -1,  275,
   -1,   -1,  278,   -1,   -1,  257,  316,   -1,   -1,   -1,
  286,   -1,  288,   -1,   -1,   -1,  268,   -1,  270,  295,
  296,  297,  298,  275,   -1,   -1,  278,   -1,   -1,   -1,
   -1,  283,  342,   -1,  286,   -1,  288,  347,  348,  349,
  316,   -1,   -1,  295,  296,  297,  298,  257,   -1,   -1,
   -1,   -1,   -1,  263,   -1,   -1,   -1,   -1,  268,   -1,
  270,   -1,   -1,   -1,  316,  275,  342,   -1,  278,   -1,
   -1,  347,  348,  349,   -1,   -1,  286,   -1,  288,   -1,
   -1,   -1,   -1,   -1,   -1,  295,  296,  297,  298,   -1,
  342,   -1,   -1,   -1,   -1,  347,  348,  349,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,  316,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,  342,   -1,   -1,   -1,   -1,  347,  348,  349,
};
#define YYFINAL 1
#ifndef YYDEBUG
#define YYDEBUG 1
#endif
#define YYMAXTOKEN 362
#if YYDEBUG
static const char *yyname[] = {

"end-of-file",0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,"'%'","'&'",0,"'('","')'","'*'","'+'","','","'-'","'.'","'/'",0,0,0,0,0,0,
0,0,0,0,"':'","';'","'<'","'='","'>'","'?'",0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,"'['",0,"']'",0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,"'{'","'|'","'}'",0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,"END","PROGRAM","PROCESS",
"PROCEDURE","ENDPROCEDURE","FUNCTION","ENDFUNCTION","RULE","ENDRULE","RULESET",
"ENDRULESET","ALIAS","ENDALIAS","IF","THEN","ELSIF","ELSE","ENDIF","SWITCH",
"CASE","ENDSWITCH","FOR","FORALL","EXISTS","IN","DO","ENDFOR","ENDFORALL",
"ENDEXISTS","WHILE","ENDWHILE","RETURN","TO","bEGIN","BY","OLDEND","LONGARROW",
"DOTDOT","CLEAR","ERROR","ASSERT","PUT","CONST","TYPE","VAR","ENUM",
"INTERLEAVED","RECORD","ARRAY","OF","ENDRECORD","STARTSTATE","ENDSTARTSTATE",
"INVARIANT","TRACEUNTIL","PCTL","UNTIL","NEXT","STRING","ID","INTCONST",
"REALCONST","REAL","LOG","LOG10","EXP","SIN","COS","TAN","FABS","FLOOR","CEIL",
"SQRT","FMOD","POW","ASIN","ACOS","ATAN","SINH","COSH","TANH","EXTERNFUN",
"EXTERNPROC","SCALARSET","ISMEMBER","UNDEFINE","ISUNDEFINED","UNDEFINED",
"UNION","MULTISET","MULTISETREMOVE","MULTISETREMOVEPRED","MULTISETADD",
"MULTISETCOUNT","CHOOSE","ENDCHOOSE","ASSIGN","IMPLIES","PCTLIMPLIES","PCTLOR",
"PCTLAND","NOT","PCTLNOT","LEQ","NEQ","GEQ",
};
static const char *yyrule[] = {
"$accept : prog",
"$$1 :",
"$$2 :",
"$$3 :",
"$$4 :",
"prog : $$1 decls $$2 procDecls $$3 rules $$4 pctl",
"decls : decls decl",
"decls :",
"decl : CONST constDecls",
"decl : TYPE typeDecls",
"decl : VAR varDecls",
"constDecls : constDecls constDecl semi",
"constDecls :",
"semi : ';'",
"constDecl : ID ':' expr",
"typeDecls : typeDecls typeDecl semi",
"typeDecls :",
"typeDecl : ID ':' typeExpr",
"typeExpr : typeid",
"typeExpr : realtype",
"typeExpr : enumtype",
"typeExpr : subrangetype",
"typeExpr : recordtype",
"typeExpr : arraytype",
"typeExpr : scalarsettype",
"typeExpr : uniontype",
"typeExpr : multisettype",
"typeid : ID",
"realtype : REAL '(' expr ',' expr ')'",
"$$5 :",
"enumtype : ENUM $$5 '{' enums '}'",
"enums : enums ',' ID",
"enums : enums ID",
"enums : ID",
"subrangetype : expr DOTDOT expr",
"$$6 :",
"$$7 :",
"recordtype : RECORD optInterleaved $$6 $$7 fields endrecord",
"endrecord : ENDRECORD",
"endrecord : END",
"optInterleaved :",
"fields : fields semi field",
"fields : fields semi",
"fields : field",
"$$8 :",
"field : $$8 ID fieldtail",
"fieldtail : ',' ID fieldtail",
"fieldtail : ':' typeExpr",
"arraytype : ARRAY optInterleaved '[' typeExpr ']' OF typeExpr",
"multisettype : MULTISET optInterleaved '[' expr ']' OF typeExpr",
"scalarsettype : SCALARSET '(' expr ')'",
"uniontype : UNION '{' unionlist '}'",
"unionlist : unionlist ',' unionlistelt",
"unionlist : unionlistelt ',' unionlistelt",
"unionlistelt : ID",
"unionlistelt : scalarsettype",
"unionlistelt : enumtype",
"varDecls : varDecls varDecl semi",
"varDecls :",
"$$9 :",
"varDecl : $$9 ID vardecltail",
"vardecltail : ',' ID vardecltail",
"vardecltail : ':' typeExpr",
"procDecls : procDecls procDecl",
"procDecls : procDecls funcDecl",
"procDecls : procDecls externFunDecl",
"procDecls : procDecls externProcDecl",
"procDecls :",
"$$10 :",
"$$11 :",
"externFunDecl : EXTERNFUN ID $$10 '(' optformals ')' $$11 ':' typeExpr optString semi",
"$$12 :",
"externProcDecl : EXTERNPROC ID $$12 '(' optformals ')' optString semi",
"$$13 :",
"$$14 :",
"$$15 :",
"procDecl : PROCEDURE ID $$13 '(' optformals ')' semi $$14 optdecls $$15 optstmts endprocedure semi",
"endprocedure : ENDPROCEDURE",
"endprocedure : END",
"$$16 :",
"$$17 :",
"$$18 :",
"$$19 :",
"funcDecl : FUNCTION ID $$16 '(' optformals ')' $$17 ':' typeExpr semi $$18 optdecls $$19 optstmts endfunction semi",
"endfunction : ENDFUNCTION",
"endfunction : END",
"optformals : formals",
"optformals :",
"formals : formals semi formal",
"formals : formals semi",
"formals : formal",
"formals : formals ',' formal",
"$$20 :",
"formal : VAR $$20 formalrest",
"$$21 :",
"formal : $$21 formalrest",
"formalrest : ID formaltail",
"formaltail : ',' ID formaltail",
"formaltail : ':' typeExpr",
"optdecls : decls bEGIN",
"optdecls :",
"designator : ID",
"designator : designator '[' expr ']'",
"designator : designator '.' ID",
"pctl : PCTL pctlformula semi",
"pctl :",
"pctlformula : pctlformula PCTLAND pctlformula",
"pctlformula : pctlformula PCTLOR pctlformula",
"pctlformula : pctlformula PCTLIMPLIES pctlformula",
"pctlformula : PCTLNOT pctlformula",
"pctlformula : '(' pctlformula ')'",
"pctlformula : pctlU",
"pctlformula : pctlX",
"pctlformula : expr",
"pctlU : '[' pctlformula UNTIL LEQ expr pctlformula ']' '<' expr",
"pctlU : '[' pctlformula UNTIL LEQ expr pctlformula ']' LEQ expr",
"pctlU : '[' pctlformula UNTIL LEQ expr pctlformula ']' '>' expr",
"pctlU : '[' pctlformula UNTIL LEQ expr pctlformula ']' GEQ expr",
"pctlX : '[' NEXT pctlformula ']' '<' expr",
"pctlX : '[' NEXT pctlformula ']' LEQ expr",
"pctlX : '[' NEXT pctlformula ']' '>' expr",
"pctlX : '[' NEXT pctlformula ']' GEQ expr",
"expr : expr '?' expr ':' expr",
"expr : expr IMPLIES expr",
"expr : expr '|' expr",
"expr : expr '&' expr",
"expr : NOT expr",
"expr : expr '<' expr",
"expr : expr LEQ expr",
"expr : expr '>' expr",
"expr : expr GEQ expr",
"expr : expr '=' expr",
"expr : expr NEQ expr",
"expr : expr '+' expr",
"expr : expr '-' expr",
"expr : '+' expr",
"expr : '-' expr",
"expr : expr '*' expr",
"expr : expr '/' expr",
"expr : expr '%' expr",
"expr : INTCONST",
"expr : REALCONST",
"expr : LOG '(' expr ')'",
"expr : LOG10 '(' expr ')'",
"expr : EXP '(' expr ')'",
"expr : SIN '(' expr ')'",
"expr : COS '(' expr ')'",
"expr : TAN '(' expr ')'",
"expr : FABS '(' expr ')'",
"expr : FLOOR '(' expr ')'",
"expr : CEIL '(' expr ')'",
"expr : SQRT '(' expr ')'",
"expr : FMOD '(' expr ',' expr ')'",
"expr : POW '(' expr ',' expr ')'",
"expr : ASIN '(' expr ')'",
"expr : ACOS '(' expr ')'",
"expr : ATAN '(' expr ')'",
"expr : SINH '(' expr ')'",
"expr : COSH '(' expr ')'",
"expr : TANH '(' expr ')'",
"expr : designator",
"expr : ID actuals",
"expr : ISUNDEFINED '(' designator ')'",
"expr : ISMEMBER '(' designator ',' typeExpr ')'",
"expr : '(' expr ')'",
"$$22 :",
"expr : FORALL $$22 quantifiers do expr endforall",
"$$23 :",
"expr : EXISTS $$23 quantifiers do expr endexists",
"expr : error",
"$$24 :",
"$$25 :",
"expr : MULTISETCOUNT '(' $$24 ID ':' designator ',' $$25 expr ')'",
"endforall : ENDFORALL",
"endforall : END",
"endexists : ENDEXISTS",
"endexists : END",
"actuals : '(' exprlist ')'",
"actuals : '(' ')'",
"exprlist : exprlist ',' expr",
"exprlist : expr",
"exprlist : exprlist ',' UNDEFINED",
"exprlist : UNDEFINED",
"quantifier : ID ':' typeExpr",
"quantifier : ID ASSIGN expr TO expr optBy",
"quantifiers : quantifier ';' quantifiers",
"quantifiers : quantifier",
"do : DO",
"do : ':'",
"optBy : BY expr",
"optBy :",
"$$26 :",
"optstmts : $$26 stmts",
"optstmts :",
"stmts : stmts semi stmt",
"stmts : stmts semi",
"stmts : stmt",
"stmt : assignment",
"stmt : ifstmt",
"stmt : whilestmt",
"stmt : switchstmt",
"stmt : forstmt",
"stmt : proccall",
"stmt : clearstmt",
"stmt : errorstmt",
"stmt : assertstmt",
"stmt : putstmt",
"stmt : aliasstmt",
"stmt : returnstmt",
"stmt : undefinestmt",
"stmt : multisetaddstmt",
"stmt : multisetremovestmt",
"assignment : designator ASSIGN expr",
"assignment : designator ASSIGN UNDEFINED",
"ifstmt : IF expr THEN optstmts optElses endif",
"endif : ENDIF",
"endif : END",
"optElses : elsif optElses",
"optElses : optElse",
"elsif : ELSIF expr THEN optstmts",
"optElse : ELSE optstmts",
"optElse :",
"whilestmt : WHILE expr do optstmts endwhile",
"endwhile : ENDWHILE",
"endwhile : END",
"$$27 :",
"$$28 :",
"switchstmt : SWITCH expr $$27 $$28 optCases optElse endswitch",
"endswitch : ENDSWITCH",
"endswitch : END",
"optCases : optCases case",
"optCases :",
"case : CASE exprlist ':' optstmts",
"$$29 :",
"forstmt : FOR $$29 quantifiers do optstmts endfor",
"endfor : ENDFOR",
"endfor : END",
"proccall : ID actuals",
"clearstmt : CLEAR designator",
"undefinestmt : UNDEFINE designator",
"multisetaddstmt : MULTISETADD '(' designator ',' designator ')'",
"$$30 :",
"$$31 :",
"multisetremovestmt : MULTISETREMOVEPRED '(' $$30 ID ':' designator $$31 ',' expr ')'",
"multisetremovestmt : MULTISETREMOVE '(' expr ',' designator ')'",
"errorstmt : ERROR STRING",
"assertstmt : ASSERT expr optString",
"putstmt : PUT expr",
"putstmt : PUT STRING",
"$$32 :",
"aliasstmt : ALIAS $$32 aliases do optstmts endalias",
"endalias : ENDALIAS",
"endalias : END",
"aliases : aliases semi alias",
"aliases : aliases semi",
"aliases : aliases ',' alias",
"aliases : alias",
"alias : ID ':' expr",
"returnstmt : RETURN optretexpr",
"optretexpr : expr",
"optretexpr :",
"rules : rule semi rules",
"rules : rule semi",
"rules : rule",
"rule : simplerule",
"rule : aliasrule",
"rule : ruleset",
"rule : startstate",
"rule : invariant",
"rule : error",
"rule : choose",
"$$33 :",
"simplerule : RULE optPriority optString optCondition $$33 optdecls optstmts endrule",
"endrule : ENDRULE",
"endrule : END",
"optCondition : expr LONGARROW",
"optCondition :",
"optString : STRING",
"optString :",
"optPriority : INTCONST",
"optPriority :",
"$$34 :",
"aliasrule : ALIAS $$34 aliases do rules endalias",
"$$35 :",
"ruleset : RULESET $$35 quantifiers do rules endruleset",
"endruleset : ENDRULESET",
"endruleset : END",
"$$36 :",
"$$37 :",
"choose : CHOOSE $$36 ID ':' designator $$37 do rules endchoose",
"onerule : rule semi",
"onerule : rule",
"endchoose : ENDCHOOSE",
"endchoose : END",
"$$38 :",
"startstate : STARTSTATE $$38 optString optdecls optstmts endstartstate",
"endstartstate : ENDSTARTSTATE",
"endstartstate : END",
"invariant : INVARIANT optString expr",

};
#endif
#if YYDEBUG
#include <stdio.h>
#endif

/* define the initial stack-sizes */
#ifdef YYSTACKSIZE
#undef YYMAXDEPTH
#define YYMAXDEPTH  YYSTACKSIZE
#else
#ifdef YYMAXDEPTH
#define YYSTACKSIZE YYMAXDEPTH
#else
#define YYSTACKSIZE 500
#define YYMAXDEPTH  500
#endif
#endif

#define YYINITSTACKSIZE 500

int      yydebug;
int      yynerrs;
int      yyerrflag;
int      yychar;
short   *yyssp;
YYSTYPE *yyvsp;
YYSTYPE  yyval;
YYSTYPE  yylval;

/* variables for the parser stack */
static short   *yyss;
static short   *yysslim;
static YYSTYPE *yyvs;
static unsigned yystacksize;
/* allocate initial stack or double stack size, up to YYMAXDEPTH */
static int yygrowstack(void)
{
    int i;
    unsigned newsize;
    short *newss;
    YYSTYPE *newvs;

    if ((newsize = yystacksize) == 0)
        newsize = YYINITSTACKSIZE;
    else if (newsize >= YYMAXDEPTH)
        return -1;
    else if ((newsize *= 2) > YYMAXDEPTH)
        newsize = YYMAXDEPTH;

    i = yyssp - yyss;
    newss = (yyss != 0)
          ? (short *)realloc(yyss, newsize * sizeof(*newss))
          : (short *)malloc(newsize * sizeof(*newss));
    if (newss == 0)
        return -1;

    yyss  = newss;
    yyssp = newss + i;
    newvs = (yyvs != 0)
          ? (YYSTYPE *)realloc(yyvs, newsize * sizeof(*newvs))
          : (YYSTYPE *)malloc(newsize * sizeof(*newvs));
    if (newvs == 0)
        return -1;

    yyvs = newvs;
    yyvsp = newvs + i;
    yystacksize = newsize;
    yysslim = yyss + newsize - 1;
    return 0;
}

#define YYABORT  goto yyabort
#define YYREJECT goto yyabort
#define YYACCEPT goto yyaccept
#define YYERROR  goto yyerrlab

int
YYPARSE_DECL()
{
    int yym, yyn, yystate;
#if YYDEBUG
    const char *yys;

    if ((yys = getenv("YYDEBUG")) != 0)
    {
        yyn = *yys;
        if (yyn >= '0' && yyn <= '9')
            yydebug = yyn - '0';
    }
#endif

    yynerrs = 0;
    yyerrflag = 0;
    yychar = YYEMPTY;
    yystate = 0;

    if (yyss == NULL && yygrowstack()) goto yyoverflow;
    yyssp = yyss;
    yyvsp = yyvs;
    yystate = 0;
    *yyssp = 0;

yyloop:
    if ((yyn = yydefred[yystate]) != 0) goto yyreduce;
    if (yychar < 0)
    {
        if ((yychar = yylex()) < 0) yychar = 0;
#if YYDEBUG
        if (yydebug)
        {
            yys = 0;
            if (yychar <= YYMAXTOKEN) yys = yyname[yychar];
            if (!yys) yys = "illegal-symbol";
            printf("%sdebug: state %d, reading %d (%s)\n",
                    YYPREFIX, yystate, yychar, yys);
        }
#endif
    }
    if ((yyn = yysindex[yystate]) && (yyn += yychar) >= 0 &&
            yyn <= YYTABLESIZE && yycheck[yyn] == yychar)
    {
#if YYDEBUG
        if (yydebug)
            printf("%sdebug: state %d, shifting to state %d\n",
                    YYPREFIX, yystate, yytable[yyn]);
#endif
        if (yyssp >= yysslim && yygrowstack())
        {
            goto yyoverflow;
        }
        yystate = yytable[yyn];
        *++yyssp = yytable[yyn];
        *++yyvsp = yylval;
        yychar = YYEMPTY;
        if (yyerrflag > 0)  --yyerrflag;
        goto yyloop;
    }
    if ((yyn = yyrindex[yystate]) && (yyn += yychar) >= 0 &&
            yyn <= YYTABLESIZE && yycheck[yyn] == yychar)
    {
        yyn = yytable[yyn];
        goto yyreduce;
    }
    if (yyerrflag) goto yyinrecovery;

    yyerror("syntax error");

#ifdef lint
    goto yyerrlab;
#endif

yyerrlab:
    ++yynerrs;

yyinrecovery:
    if (yyerrflag < 3)
    {
        yyerrflag = 3;
        for (;;)
        {
            if ((yyn = yysindex[*yyssp]) && (yyn += YYERRCODE) >= 0 &&
                    yyn <= YYTABLESIZE && yycheck[yyn] == YYERRCODE)
            {
#if YYDEBUG
                if (yydebug)
                    printf("%sdebug: state %d, error recovery shifting\
 to state %d\n", YYPREFIX, *yyssp, yytable[yyn]);
#endif
                if (yyssp >= yysslim && yygrowstack())
                {
                    goto yyoverflow;
                }
                yystate = yytable[yyn];
                *++yyssp = yytable[yyn];
                *++yyvsp = yylval;
                goto yyloop;
            }
            else
            {
#if YYDEBUG
                if (yydebug)
                    printf("%sdebug: error recovery discarding state %d\n",
                            YYPREFIX, *yyssp);
#endif
                if (yyssp <= yyss) goto yyabort;
                --yyssp;
                --yyvsp;
            }
        }
    }
    else
    {
        if (yychar == 0) goto yyabort;
#if YYDEBUG
        if (yydebug)
        {
            yys = 0;
            if (yychar <= YYMAXTOKEN) yys = yyname[yychar];
            if (!yys) yys = "illegal-symbol";
            printf("%sdebug: state %d, error recovery discards token %d (%s)\n",
                    YYPREFIX, yystate, yychar, yys);
        }
#endif
        yychar = YYEMPTY;
        goto yyloop;
    }

yyreduce:
#if YYDEBUG
    if (yydebug)
        printf("%sdebug: state %d, reducing by rule %d (%s)\n",
                YYPREFIX, yystate, yyn, yyrule[yyn]);
#endif
    yym = yylen[yyn];
    if (yym)
        yyval = yyvsp[1-yym];
    else
        memset(&yyval, 0, sizeof yyval);
    switch (yyn)
    {
case 1:
#line 193 "mu.y"
	{ symtab->pushscope(); }
break;
case 2:
#line 195 "mu.y"
	{ theprog->globals = symtab->getscope(); }
break;
case 3:
#line 197 "mu.y"
	{ theprog->procedures = symtab->getscope(); }
break;
case 4:
#line 199 "mu.y"
	{
			  /* normally, the popscope() changes the offset
			   * so we have to save and restore the offset we want. */
			  theprog->bits_in_world = offset;
			  theprog->rules = yyvsp[0].rule_p;
			  Error.CondError( !hasrule,
					  "Program has no rules.");
			  Error.CondError( !has_startstate,
					  "Program has no startstates.");
			}
break;
case 5:
#line 210 "mu.y"
	{
			  theprog->pctl_form = yyvsp[0].pctl_p;
			  symtab->popscope();
			  Error.CondError( symtab->topscope() != 0,
					  "Internal: Didn't pop enough scopes.\n\
If the model seems to be correct, you may have improperly used a reserved word");
			}
break;
case 14:
#line 248 "mu.y"
	{ 
			  decl *tconst = new constdecl(yyvsp[0].expr_p);
			  symtab->declare( yyvsp[-2].lex, tconst );
			}
break;
case 17:
#line 263 "mu.y"
	{
			  /* declare new type*/
			  ste * s = symtab->declare(yyvsp[-2].lex,yyvsp[0].typedecl_p);
			  /* Should this be declare_global?*/
			  /* scalarset extension*/
  			  /* if the new type is a scalarset, */
			  /* reset id strings and put it into scalarsetlist*/
			  if (yyvsp[0].typedecl_p->gettypeclass() == typedecl::Scalarset) {
			    if (args->bpctl)
			      Error.Warning("Simmetry reduction disabled in probabilistic verification.");
			    /* reset id strings*/
 			    ((scalarsettypedecl *) yyvsp[0].typedecl_p)->setupid(yyvsp[-2].lex);
			    /* put into scalarsetlist*/
 			    if (((scalarsettypedecl *)yyvsp[0].typedecl_p)->getsize() > 1) 
			      theprog->symmetry.add(s);
			  }
			  else if (yyvsp[0].typedecl_p->gettypeclass() == typedecl::MultiSet) {
			    if (args->bpctl)
			      Error.Warning("Multiset reduction disabled in probabilistic verification.");
			  }
			}
break;
case 27:
#line 302 "mu.y"
	{
			  decl *t = (typedecl *)symtab->lookup(yyvsp[0].lex)->getvalue();
			  if ( Error.CondError( t->getclass() != decl::Type,
					 "%s is not a type name.",
					 yyvsp[0].lex->getname() ) )
			    yyval.typedecl_p = errortype;
			  else yyval.typedecl_p = (typedecl *) t;
			}
break;
case 28:
#line 315 "mu.y"
	{
			  yyval.typedecl_p = new realtypedecl(yyvsp[-3].expr_p,yyvsp[-1].expr_p);
			}
break;
case 29:
#line 323 "mu.y"
	{
			  enumdecl = new enumtypedecl( enumval, enumval);
			  shiftenum = enumval;
			}
break;
case 30:
#line 328 "mu.y"
	{
			  enumdecl->setright( enumval - 1 );
			  enumdecl->setidvalues( symtab->getscope() );
			  yyval.typedecl_p = enumdecl;
			}
break;
case 31:
#line 338 "mu.y"
	{
			  yyval.ste_p = symtab->declare(yyvsp[0].lex,
					       new constdecl(enumval++, /* -
							     shiftenum+1, */
							     enumdecl));
			}
break;
case 32:
#line 345 "mu.y"
	{
			  yyval.ste_p = symtab->declare(yyvsp[0].lex,
					       new constdecl(enumval++, /* -
							     shiftenum+1, */
							     enumdecl));
			  Error.Error("Murphi 2 requires elements of enums to be separated by commas.");
			}
break;
case 33:
#line 353 "mu.y"
	{
			  yyval.ste_p = symtab->declare(yyvsp[0].lex,
					       new constdecl(enumval++, /* -
							     shiftenum+1, */
							     enumdecl));
			}
break;
case 34:
#line 364 "mu.y"
	{
			  yyval.typedecl_p = new subrangetypedecl(yyvsp[-2].expr_p, yyvsp[0].expr_p);
			}
break;
case 35:
#line 372 "mu.y"
	{
			  /* we _can_ have record declarations within
			   * record declarations, so we _have_ to save
			   * and restore the list. */
			  yyval.ste_p = curfields;
			  curfields = NULL;
			}
break;
case 36:
#line 381 "mu.y"
	{
			  yyval.integer = offset;
			  offset = 0;
			}
break;
case 37:
#line 386 "mu.y"
	{
			  yyval.typedecl_p = new recordtypedecl(yyvsp[-4].boolean,
						  curfields->reverse() );
			  curfields = yyvsp[-3].ste_p;
			  offset = yyvsp[-2].integer;
			}
break;
case 40:
#line 402 "mu.y"
	{ yyval.boolean = FALSE; }
break;
case 41:
#line 408 "mu.y"
	{}
break;
case 42:
#line 414 "mu.y"
	{}
break;
case 43:
#line 416 "mu.y"
	{}
break;
case 44:
#line 421 "mu.y"
	{
			  yyval.lexlist_p = not_yet_declared;
			  not_yet_declared = NULL;
			}
break;
case 45:
#line 426 "mu.y"
	{ 
			  for (lexlist *ll = new lexlist(yyvsp[-1].lex, not_yet_declared);
			       ll != NULL;
			       ll = ll->next) { /* 'hand-declare' the field. */
			    ste *tmpste = new ste( ll->l, 0, new vardecl(yyvsp[0].typedecl_p) );
			    tmpste->next = curfields;
			    curfields = tmpste;
			  }
			  not_yet_declared = yyvsp[-2].lexlist_p;
			}
break;
case 46:
#line 442 "mu.y"
	{
			  not_yet_declared = new lexlist( yyvsp[-1].lex, not_yet_declared );
			  yyval.typedecl_p = yyvsp[0].typedecl_p;
			}
break;
case 47:
#line 447 "mu.y"
	{
			  yyval.typedecl_p = yyvsp[0].typedecl_p;
 			  /* scalarset warning*/
 			  if ( yyvsp[0].typedecl_p->gettypeclass() == typedecl::Scalarset && !( (scalarsettypedecl *) yyvsp[0].typedecl_p)->isnamed())
 			    Error.Warning("The anonymous scalarset type in the field of a record is useless.");
			}
break;
case 48:
#line 459 "mu.y"
	{
			  yyval.typedecl_p = new arraytypedecl(yyvsp[-5].boolean,yyvsp[-3].typedecl_p,yyvsp[0].typedecl_p);
			  /* scalarset warning*/
			  if ( yyvsp[-3].typedecl_p->gettypeclass() == typedecl::Scalarset && !( (scalarsettypedecl *) yyvsp[-3].typedecl_p)->isnamed())
			    Error.Warning("The anonymous scalarset type in the index of an array is useless.");
			  if ( yyvsp[0].typedecl_p->gettypeclass() == typedecl::Scalarset && !( (scalarsettypedecl *) yyvsp[0].typedecl_p)->isnamed())
			    Error.Warning("The anonymous scalarset type as type of the elements of an array is useless.");
			}
break;
case 49:
#line 473 "mu.y"
	{
			  yyval.typedecl_p = new multisettypedecl(yyvsp[-5].boolean,yyvsp[-3].expr_p,yyvsp[0].typedecl_p);
			  /* scalarset warning*/
			  if ( yyvsp[0].typedecl_p->gettypeclass() == typedecl::Scalarset && !( (scalarsettypedecl *) yyvsp[0].typedecl_p)->isnamed())
			    Error.Warning("The anonymous scalarset type as type of the elements of an array is useless.");
			}
break;
case 50:
#line 484 "mu.y"
	{
			  yyval.typedecl_p = new scalarsettypedecl(yyvsp[-1].expr_p, enumval);
			  enumval += yyvsp[-1].expr_p->getvalue();
			}
break;
case 51:
#line 493 "mu.y"
	{
 			  yyval.typedecl_p = new uniontypedecl(unionmembers);
			  unionmembers = NULL;
			}
break;
case 54:
#line 506 "mu.y"
	{
			  /* lookup id in symtable and check whether it is a typedecl*/
			  ste *s = symtab->lookup(yyvsp[0].lex);
			  Error.CondError( s->getvalue()->getclass() != decl::Type,
					 "%s is not a scalarset type name.",
					 yyvsp[0].lex->getname() );
			  /* check whether it is a scalarsettypedecl*/
			  typedecl *t = (typedecl *) s->getvalue();
			  Error.CondError( ( t->gettypeclass() != typedecl::Scalarset
					     && t->gettypeclass() != typedecl::Enum ),
					 "%s is not a scalarset/enum type name.",
					 yyvsp[0].lex->getname() );
			  /* check whether it has been used in this union before*/
			  for (stelist * elt = unionmembers; elt != NULL; elt=elt->next)
			    Error.CondError( ( elt->s->name != NULL && elt->s->name == yyvsp[0].lex ),
					    "%s is used more than once in a union.",
					    yyvsp[0].lex->getname() );
			  /* enter into list*/
			  unionmembers = new stelist(s, unionmembers);
			}
break;
case 55:
#line 527 "mu.y"
	{
			  Error.Warning("The anonymous scalarset type in the union is useless.");
			}
break;
case 56:
#line 531 "mu.y"
	{
			  ste * s = new ste(NULL,0,yyvsp[0].typedecl_p); 
			  /* enter into list*/
			  unionmembers = new stelist(s, unionmembers);
			}
break;
case 57:
#line 541 "mu.y"
	{}
break;
case 58:
#line 543 "mu.y"
	{}
break;
case 59:
#line 548 "mu.y"
	{ 
			  yyval.lexlist_p = not_yet_declared;
			  not_yet_declared = NULL;
			}
break;
case 60:
#line 553 "mu.y"
	{ 
			  for (lexlist *ll = new lexlist(yyvsp[-1].lex, not_yet_declared);
			       ll != NULL;
			       ll = ll->next)
			    symtab->declare( ll->l,
					    new vardecl(yyvsp[0].typedecl_p) );
			  not_yet_declared = yyvsp[-2].lexlist_p;
			}
break;
case 61:
#line 567 "mu.y"
	{
			  not_yet_declared = new lexlist(yyvsp[-1].lex, not_yet_declared);
			  yyval.typedecl_p = yyvsp[0].typedecl_p;
			}
break;
case 62:
#line 572 "mu.y"
	{
			  yyval.typedecl_p = yyvsp[0].typedecl_p; 
			  /* scalarset warning*/
			  if ( yyvsp[0].typedecl_p->gettypeclass() == typedecl::Scalarset && !( (scalarsettypedecl *) yyvsp[0].typedecl_p)->isnamed())
			    Error.Warning("The anonymous scalarset type in variable declaration is useless.");
			}
break;
case 68:
#line 592 "mu.y"
	{
			  symtab->pushscope();
			}
break;
case 69:
#line 596 "mu.y"
	{
			  yyval.integer = localscope;
			}
break;
case 70:
#line 600 "mu.y"
	{
			  funcdecl * func = new funcdecl;
			  yyval.decl_p = func;
				      func->extern_def = TRUE;
				      func->include_file_ext = yyvsp[-1].string;
			  func->params = symtab->dupscope()->reverse();
			  if (yyvsp[-2].typedecl_p->name == NULL)
			    symtab->declare_global(
				       ltable.enter(
					    tsprintf("_type_%d",
						 new_int()
						 )
					    ),
				       yyvsp[-2].typedecl_p );
			  func->returntype = yyvsp[-2].typedecl_p;
			  localscope = symtab->pushscope();
			  /* scalarset warning*/
			  if ( yyvsp[-2].typedecl_p->gettypeclass() == typedecl::Scalarset && !( (scalarsettypedecl *) yyvsp[-2].typedecl_p)->isnamed())
			    Error.Warning("The anonymous scalarset type as return type of a function is useless.");
			  symtab->declare_global(yyvsp[-9].lex, yyval.decl_p);
			  symtab->popscope();
			  symtab->popscope(); /* remove parameters. */
			  func->decls = NULL;
			  func->body = NULL;
			  func->sideeffects = FALSE;
			  localscope = yyvsp[-4].integer;
			  hasreturn = TRUE;
			}
break;
case 71:
#line 633 "mu.y"
	{
			  symtab->pushscope();
			}
break;
case 72:
#line 637 "mu.y"
	{
			  /* im: probably there are some useless statements */
			  yyval.decl_p = new procdecl();
			  ((procdecl *) yyval.decl_p)->extern_def = TRUE;
			  ((procdecl *) yyval.decl_p)->include_file_ext = yyvsp[-1].string;
			  ((procdecl *) yyval.decl_p)->params = symtab->dupscope()->reverse();
			  symtab->pushscope();
			  returntype = voidtype;
			  symtab->declare_global(yyvsp[-6].lex, yyval.decl_p);
			  symtab->popscope();
			  symtab->popscope(); /* Clear parameters. */
			  procdecl *proc = (procdecl *) yyval.decl_p;
			  proc->decls = NULL;
			  proc->body = NULL;
			}
break;
case 73:
#line 657 "mu.y"
	{
			  symtab->pushscope();
			}
break;
case 74:
#line 661 "mu.y"
	{
			  yyval.decl_p = new procdecl();
			  ((procdecl *) yyval.decl_p)->params =
			    symtab->dupscope()->reverse();
			  symtab->pushscope();
			  returntype = voidtype;
			}
break;
case 75:
#line 669 "mu.y"
	{
			  symtab->declare_global(yyvsp[-7].lex, yyvsp[-1].decl_p);
			}
break;
case 76:
#line 673 "mu.y"
	{
			  ste *decls = symtab->popscope();
			  symtab->popscope(); /* Clear parameters. */
			  procdecl *proc = (procdecl *) yyvsp[-5].decl_p;
			  proc->decls = decls;
			  proc->body = yyvsp[-2].stmt_p;
			}
break;
case 79:
#line 690 "mu.y"
	{
			  symtab->pushscope();
			}
break;
case 80:
#line 694 "mu.y"
	{
			  yyval.integer = localscope;
			}
break;
case 81:
#line 698 "mu.y"
	{
			  funcdecl * func = new funcdecl;
			  yyval.decl_p = func;
			  func->params = symtab->dupscope()->reverse();
			  if (yyvsp[-1].typedecl_p->name == NULL)
			    symtab->declare_global(
						   ltable.enter(
								tsprintf("_type_%d",
									 new_int()
									 )
								),
						   yyvsp[-1].typedecl_p );
			  func->returntype = yyvsp[-1].typedecl_p;
			  localscope = symtab->pushscope();
			  /* scalarset warning*/
			  if ( yyvsp[-1].typedecl_p->gettypeclass() == typedecl::Scalarset && !( (scalarsettypedecl *) yyvsp[-1].typedecl_p)->isnamed())
			    Error.Warning("The anonymous scalarset type as return type of a function is useless.");
			}
break;
case 82:
#line 717 "mu.y"
	{
			  symtab->declare_global(yyvsp[-10].lex, yyvsp[-1].decl_p);
			  returntype = yyvsp[-3].typedecl_p;
			  yyval.boolean = hasreturn;
			  hasreturn = FALSE;
			  sideeffects = FALSE;
			}
break;
case 83:
#line 725 "mu.y"
	{
			  ste *decls = symtab->popscope();
			  symtab->popscope(); /* remove parameters. */
			  funcdecl *func = (funcdecl *) yyvsp[-5].decl_p;
			  func->decls = decls;
			  func->body = yyvsp[-2].stmt_p;
			  func->sideeffects = sideeffects;
			  Error.CondError( !hasreturn,
					  "function %s never returns a value.",
					  yyvsp[-14].lex->getname() );
			  localscope = yyvsp[-9].integer;
			  hasreturn = yyvsp[-3].boolean;
			}
break;
case 86:
#line 748 "mu.y"
	{}
break;
case 91:
#line 758 "mu.y"
	{
			  Error.Error("Murphi 2 requires formal parameters to be separated by semi-colons.");
			}
break;
case 92:
#line 769 "mu.y"
	{
			  paramclass = VAR;
			  yyval.lexlist_p = not_yet_declared;
			  not_yet_declared = NULL;
			}
break;
case 93:
#line 775 "mu.y"
	{ not_yet_declared = yyvsp[-1].lexlist_p; }
break;
case 94:
#line 777 "mu.y"
	{
			  paramclass = CONST;
			  yyval.lexlist_p = not_yet_declared;
			  not_yet_declared = NULL;
			}
break;
case 95:
#line 783 "mu.y"
	{ not_yet_declared = yyvsp[0].lexlist_p; }
break;
case 96:
#line 788 "mu.y"
	{
			  for ( lexlist *ll = new lexlist(yyvsp[-1].lex, not_yet_declared);
			       ll != NULL;
			       ll = ll->next ) {
			    param *p = NULL;
			    switch ( paramclass ) {
			    case VAR:
			      p = new varparam(yyvsp[0].typedecl_p);
			      break;
			    case CONST:
			      p = new constparam(yyvsp[0].typedecl_p);
			      break;
			    default:
			      p = errorparam;
			      break;
			    }
			    symtab->declare(ll->l, p);
			  }
			}
break;
case 97:
#line 812 "mu.y"
	{
			  not_yet_declared = new lexlist(yyvsp[-1].lex, not_yet_declared);
			  yyval.typedecl_p = yyvsp[0].typedecl_p;
			}
break;
case 98:
#line 818 "mu.y"
	{
			  yyval.typedecl_p = yyvsp[0].typedecl_p;
			  /* scalarset warning*/
			  if ( yyvsp[0].typedecl_p->gettypeclass() == typedecl::Scalarset && !( (scalarsettypedecl *) yyvsp[0].typedecl_p)->isnamed())
			    Error.Warning("The anonymous scalarset type in formal is useless.");
			}
break;
case 101:
#line 836 "mu.y"
	{
			  ste *tmpste = symtab->lookup(yyvsp[0].lex);
			  Error.CondError( ( tmpste->getvalue()->getclass() == decl::Type || 
					     tmpste->getvalue()->getclass() == decl::Proc ),
					   "Non Variable found when variable is expected.");
			  yyval.desig_p = tmpste->getvalue()->getdesignator(tmpste);
			}
break;
case 102:
#line 845 "mu.y"
	{ yyval.desig_p = new designator ( yyvsp[-3].desig_p, yyvsp[-1].expr_p ); }
break;
case 103:
#line 848 "mu.y"
	{ 
			  yyval.desig_p = new designator ( yyvsp[-2].desig_p, yyvsp[0].lex );
			}
break;
case 104:
#line 855 "mu.y"
	{
			  Error.CondError(!args->bpctl, "PCTL formulas supported only with --bpctl.");
			  yyval.pctl_p = yyvsp[-1].pctl_p;
			}
break;
case 105:
#line 860 "mu.y"
	{
			  Error.CondError(args->bpctl, "PCTL formulas required with --bpctl.");
			  yyval.pctl_p = NULL;
			}
break;
case 106:
#line 868 "mu.y"
	{
			  yyval.pctl_p = new pctl(yyvsp[-2].pctl_p, yyvsp[0].pctl_p, NULL, AND_PCTL, 0, NULL);
			}
break;
case 107:
#line 872 "mu.y"
	{
			  yyval.pctl_p = new pctl(yyvsp[-2].pctl_p, yyvsp[0].pctl_p, NULL, OR_PCTL, 0, NULL);
			}
break;
case 108:
#line 876 "mu.y"
	{
			  yyval.pctl_p = new pctl(yyvsp[-2].pctl_p, yyvsp[0].pctl_p, NULL, IMPL_PCTL, 0, NULL);
			}
break;
case 109:
#line 880 "mu.y"
	{
			  yyval.pctl_p = new pctl(yyvsp[0].pctl_p, NULL, NULL, NOT_PCTL, 0, NULL);
			}
break;
case 110:
#line 884 "mu.y"
	{
			  yyval.pctl_p = yyvsp[-1].pctl_p;
			}
break;
case 112:
#line 889 "mu.y"
	{
			  yyval.pctl_p = yyvsp[0].pctl_p;
			}
break;
case 113:
#line 893 "mu.y"
	{
			  Error.CondError(!type_equal(yyvsp[0].expr_p->gettype(), booltype), 
					"Atomic propositions in BPCTL formulas have to be boolean expressions.");
			  yyval.pctl_p = new pctl(NULL, NULL, yyvsp[0].expr_p, AP_PCTL, 0, NULL);
			}
break;
case 114:
#line 902 "mu.y"
	{
			  pctlUntilError(type_equal(yyvsp[0].expr_p->gettype(),realtype), type_equal(yyvsp[0].expr_p->gettype(),inttype), yyvsp[0].expr_p->hasvalue(),
					 (double)yyvsp[0].expr_p->getvalue(), type_equal(yyvsp[-4].expr_p->gettype(),inttype), yyvsp[-4].expr_p->hasvalue(), 
					 yyvsp[-4].expr_p->getvalue());
			  yyval.pctl_p = new pctl(yyvsp[-7].pctl_p, yyvsp[-3].pctl_p, NULL, UNTIL_PCTL, yyvsp[-4].expr_p->getvalue(), yyvsp[0].expr_p);
			  yyval.pctl_p->op = PCTL_L;
			}
break;
case 115:
#line 910 "mu.y"
	{
			  pctlUntilError(type_equal(yyvsp[0].expr_p->gettype(),realtype), type_equal(yyvsp[0].expr_p->gettype(),inttype), yyvsp[0].expr_p->hasvalue(),
					 (double)yyvsp[0].expr_p->getvalue(), type_equal(yyvsp[-4].expr_p->gettype(),inttype), yyvsp[-4].expr_p->hasvalue(), 
					 yyvsp[-4].expr_p->getvalue());
			  yyval.pctl_p = new pctl(yyvsp[-7].pctl_p, yyvsp[-3].pctl_p, NULL, UNTIL_PCTL, yyvsp[-4].expr_p->getvalue(), yyvsp[0].expr_p);
			  yyval.pctl_p->op = PCTL_LEQ;
			}
break;
case 116:
#line 918 "mu.y"
	{
			  pctlUntilError(type_equal(yyvsp[0].expr_p->gettype(),realtype), type_equal(yyvsp[0].expr_p->gettype(),inttype), yyvsp[0].expr_p->hasvalue(),
					 (double)yyvsp[0].expr_p->getvalue(), type_equal(yyvsp[-4].expr_p->gettype(),inttype), yyvsp[-4].expr_p->hasvalue(), 
					 yyvsp[-4].expr_p->getvalue());
			  yyval.pctl_p = new pctl(yyvsp[-7].pctl_p, yyvsp[-3].pctl_p, NULL, UNTIL_PCTL, yyvsp[-4].expr_p->getvalue(), yyvsp[0].expr_p);
			  yyval.pctl_p->op = PCTL_G;
			}
break;
case 117:
#line 926 "mu.y"
	{
			  pctlUntilError(type_equal(yyvsp[0].expr_p->gettype(),realtype), type_equal(yyvsp[0].expr_p->gettype(),inttype), yyvsp[0].expr_p->hasvalue(),
					 (double)yyvsp[0].expr_p->getvalue(), type_equal(yyvsp[-4].expr_p->gettype(),inttype), yyvsp[-4].expr_p->hasvalue(), 
					 yyvsp[-4].expr_p->getvalue());
			  yyval.pctl_p = new pctl(yyvsp[-7].pctl_p, yyvsp[-3].pctl_p, NULL, UNTIL_PCTL, yyvsp[-4].expr_p->getvalue(), yyvsp[0].expr_p);
			  yyval.pctl_p->op = PCTL_GEQ;
			}
break;
case 118:
#line 937 "mu.y"
	{
			  pctlNextError(type_equal(yyvsp[0].expr_p->gettype(),realtype), type_equal(yyvsp[0].expr_p->gettype(),inttype), yyvsp[0].expr_p->hasvalue(),
					 (double)yyvsp[0].expr_p->getvalue());
			  yyval.pctl_p = new pctl(yyvsp[-3].pctl_p, NULL, NULL, NEXT_PCTL, 0, yyvsp[0].expr_p);
			  yyval.pctl_p->op = PCTL_L;
			}
break;
case 119:
#line 944 "mu.y"
	{
			  pctlNextError(type_equal(yyvsp[0].expr_p->gettype(),realtype), type_equal(yyvsp[0].expr_p->gettype(),inttype), yyvsp[0].expr_p->hasvalue(),
					 (double)yyvsp[0].expr_p->getvalue());
			  yyval.pctl_p = new pctl(yyvsp[-3].pctl_p, NULL, NULL, NEXT_PCTL, 0, yyvsp[0].expr_p);
			  yyval.pctl_p->op = PCTL_LEQ;
			}
break;
case 120:
#line 951 "mu.y"
	{
			  pctlNextError(type_equal(yyvsp[0].expr_p->gettype(),realtype), type_equal(yyvsp[0].expr_p->gettype(),inttype), yyvsp[0].expr_p->hasvalue(),
					 (double)yyvsp[0].expr_p->getvalue());
			  yyval.pctl_p = new pctl(yyvsp[-3].pctl_p, NULL, NULL, NEXT_PCTL, 0, yyvsp[0].expr_p);
			  yyval.pctl_p->op = PCTL_G;
			}
break;
case 121:
#line 958 "mu.y"
	{
			  pctlNextError(type_equal(yyvsp[0].expr_p->gettype(),realtype), type_equal(yyvsp[0].expr_p->gettype(),inttype), yyvsp[0].expr_p->hasvalue(),
					 (double)yyvsp[0].expr_p->getvalue());
			  yyval.pctl_p = new pctl(yyvsp[-3].pctl_p, NULL, NULL, NEXT_PCTL, 0, yyvsp[0].expr_p);
			  yyval.pctl_p->op = PCTL_GEQ;
			}
break;
case 122:
#line 969 "mu.y"
	{
			  yyval.expr_p = new condexpr(yyvsp[-4].expr_p,yyvsp[-2].expr_p,yyvsp[0].expr_p);
			}
break;
case 123:
#line 973 "mu.y"
	{
			  yyval.expr_p = new boolexpr(IMPLIES, yyvsp[-2].expr_p, yyvsp[0].expr_p); }
break;
case 124:
#line 976 "mu.y"
	{
			  yyval.expr_p = new boolexpr('|', yyvsp[-2].expr_p, yyvsp[0].expr_p);
			}
break;
case 125:
#line 980 "mu.y"
	{ 
			  yyval.expr_p = new boolexpr('&', yyvsp[-2].expr_p, yyvsp[0].expr_p);
			}
break;
case 126:
#line 984 "mu.y"
	{
			  yyval.expr_p = new notexpr(yyvsp[0].expr_p);
			}
break;
case 127:
#line 988 "mu.y"
	{ 
			  yyval.expr_p = new compexpr('<', yyvsp[-2].expr_p, yyvsp[0].expr_p);
			}
break;
case 128:
#line 992 "mu.y"
	{ 
			  yyval.expr_p = new compexpr(LEQ, yyvsp[-2].expr_p, yyvsp[0].expr_p);
			}
break;
case 129:
#line 996 "mu.y"
	{ 
			  yyval.expr_p = new compexpr('>', yyvsp[-2].expr_p, yyvsp[0].expr_p);
			}
break;
case 130:
#line 1000 "mu.y"
	{
			  yyval.expr_p = new compexpr(GEQ, yyvsp[-2].expr_p, yyvsp[0].expr_p);
			}
break;
case 131:
#line 1004 "mu.y"
	{
			  yyval.expr_p = new equalexpr('=', yyvsp[-2].expr_p, yyvsp[0].expr_p);
			}
break;
case 132:
#line 1008 "mu.y"
	{ 
			  yyval.expr_p = new equalexpr(NEQ, yyvsp[-2].expr_p, yyvsp[0].expr_p);
			}
break;
case 133:
#line 1012 "mu.y"
	{ 
			  yyval.expr_p = new arithexpr('+', yyvsp[-2].expr_p, yyvsp[0].expr_p);
			}
break;
case 134:
#line 1016 "mu.y"
	{ 
			  yyval.expr_p = new arithexpr('-', yyvsp[-2].expr_p, yyvsp[0].expr_p);
			}
break;
case 135:
#line 1020 "mu.y"
	{
			  yyval.expr_p = new unexpr('+',yyvsp[0].expr_p);
			}
break;
case 136:
#line 1024 "mu.y"
	{
			  yyval.expr_p = new unexpr('-',yyvsp[0].expr_p);
			}
break;
case 137:
#line 1028 "mu.y"
	{ 
			  yyval.expr_p = new mulexpr('*', yyvsp[-2].expr_p, yyvsp[0].expr_p);
			}
break;
case 138:
#line 1032 "mu.y"
	{ 
			  yyval.expr_p = new mulexpr('/', yyvsp[-2].expr_p, yyvsp[0].expr_p);
			}
break;
case 139:
#line 1036 "mu.y"
	{
			  yyval.expr_p = new mulexpr('%', yyvsp[-2].expr_p, yyvsp[0].expr_p);
			}
break;
case 140:
#line 1040 "mu.y"
	{
			  yyval.expr_p = new expr( yyvsp[0].integer, inttype );
			}
break;
case 141:
#line 1044 "mu.y"
	{
			  yyval.expr_p = new expr( yyvsp[0].real, realtype);
			}
break;
case 142:
#line 1048 "mu.y"
	{
			  yyval.expr_p = new mathexpr(yyvsp[-1].expr_p,NULL,1);
			}
break;
case 143:
#line 1052 "mu.y"
	{
			  yyval.expr_p = new mathexpr(yyvsp[-1].expr_p,NULL,2);
			}
break;
case 144:
#line 1056 "mu.y"
	{ 
			  yyval.expr_p = new mathexpr(yyvsp[-1].expr_p,NULL,3);
			}
break;
case 145:
#line 1060 "mu.y"
	{
			  yyval.expr_p = new mathexpr(yyvsp[-1].expr_p,NULL,4);
			}
break;
case 146:
#line 1064 "mu.y"
	{
			  yyval.expr_p = new mathexpr(yyvsp[-1].expr_p,NULL,5);
			}
break;
case 147:
#line 1068 "mu.y"
	{
			  yyval.expr_p = new mathexpr(yyvsp[-1].expr_p,NULL,6);
			}
break;
case 148:
#line 1072 "mu.y"
	{
			  yyval.expr_p = new mathexpr(yyvsp[-1].expr_p,NULL,7);
			}
break;
case 149:
#line 1076 "mu.y"
	{
			  yyval.expr_p = new mathexpr(yyvsp[-1].expr_p,NULL,8);
			}
break;
case 150:
#line 1080 "mu.y"
	{
			  yyval.expr_p = new mathexpr(yyvsp[-1].expr_p,NULL,9);
			}
break;
case 151:
#line 1084 "mu.y"
	{
			  yyval.expr_p = new mathexpr(yyvsp[-1].expr_p,NULL,10);
			}
break;
case 152:
#line 1088 "mu.y"
	{
			  yyval.expr_p = new mathexpr(yyvsp[-3].expr_p,yyvsp[-1].expr_p,11);
			}
break;
case 153:
#line 1092 "mu.y"
	{
			  yyval.expr_p = new mathexpr(yyvsp[-3].expr_p,yyvsp[-1].expr_p,12);
			}
break;
case 154:
#line 1096 "mu.y"
	{
			  yyval.expr_p = new mathexpr(yyvsp[-1].expr_p,NULL,13);
			}
break;
case 155:
#line 1100 "mu.y"
	{
			  yyval.expr_p = new mathexpr(yyvsp[-1].expr_p,NULL,14);
			}
break;
case 156:
#line 1104 "mu.y"
	{
			  yyval.expr_p = new mathexpr(yyvsp[-1].expr_p,NULL,15);
			}
break;
case 157:
#line 1108 "mu.y"
	{
			  yyval.expr_p = new mathexpr(yyvsp[-1].expr_p,NULL,16);
			}
break;
case 158:
#line 1112 "mu.y"
	{
			  yyval.expr_p = new mathexpr(yyvsp[-1].expr_p,NULL,17);
			}
break;
case 159:
#line 1116 "mu.y"
	{
			  yyval.expr_p = new mathexpr(yyvsp[-1].expr_p,NULL,18);
			}
break;
case 160:
#line 1120 "mu.y"
	{ 
			  yyval.expr_p = yyvsp[0].desig_p;
			}
break;
case 161:
#line 1124 "mu.y"
	{
			  yyval.expr_p = new funccall ( symtab->lookup(yyvsp[-1].lex), yyvsp[0].exprlist_p );
			}
break;
case 162:
#line 1128 "mu.y"
	{ 
			  yyval.expr_p = new isundefined ( yyvsp[-1].desig_p );
			}
break;
case 163:
#line 1132 "mu.y"
	{ 
			  yyval.expr_p = new ismember ( yyvsp[-3].desig_p , yyvsp[-1].typedecl_p );
			}
break;
case 164:
#line 1136 "mu.y"
	{ yyval.expr_p = yyvsp[-1].expr_p; }
break;
case 165:
#line 1138 "mu.y"
	{ symtab->pushscope(); }
break;
case 166:
#line 1140 "mu.y"
	{
			  yyval.expr_p = new quantexpr( FORALL, symtab->popscope(), yyvsp[-1].expr_p );
			}
break;
case 167:
#line 1144 "mu.y"
	{ symtab->pushscope(); }
break;
case 168:
#line 1146 "mu.y"
	{
			  yyval.expr_p = new quantexpr( EXISTS, symtab->popscope(), yyvsp[-1].expr_p );
			}
break;
case 169:
#line 1150 "mu.y"
	{
			  yyval.expr_p = error_expr;
			  /* perform magic--I don't understand this well. */
			}
break;
case 170:
#line 1155 "mu.y"
	{ symtab->pushscope(); }
break;
case 171:
#line 1157 "mu.y"
	{
			  Error.CondError( yyvsp[-1].desig_p->gettype()->gettypeclass() != typedecl::MultiSet,
					   "Parameter for choose must be a multiset");
			  multisetidtypedecl *t = new multisetidtypedecl(yyvsp[-1].desig_p);
			  decl *tvar = new quantdecl(t);
			  symtab->declare( yyvsp[-3].lex, tvar );
			}
break;
case 172:
#line 1165 "mu.y"
	{
			  yyval.expr_p = new multisetcount( symtab->popscope(FALSE), yyvsp[-4].desig_p, yyvsp[-1].expr_p );
			}
break;
case 177:
#line 1183 "mu.y"
	{ yyval.exprlist_p = yyvsp[-1].exprlist_p->reverse(); }
break;
case 178:
#line 1185 "mu.y"
	{ yyval.exprlist_p = NULL; }
break;
case 179:
#line 1192 "mu.y"
	{ yyval.exprlist_p = new exprlist(yyvsp[0].expr_p, yyvsp[-2].exprlist_p); }
break;
case 180:
#line 1194 "mu.y"
	{ yyval.exprlist_p = new exprlist(yyvsp[0].expr_p); }
break;
case 181:
#line 1196 "mu.y"
	{ yyval.exprlist_p = new exprlist(TRUE, yyvsp[-2].exprlist_p); }
break;
case 182:
#line 1198 "mu.y"
	{ yyval.exprlist_p = new exprlist(TRUE); }
break;
case 183:
#line 1208 "mu.y"
	{
			  Error.CondError(type_equal(yyvsp[0].typedecl_p,realtype),"Expression used in quantifier can't have real type.");
			  quantdecl *q = new quantdecl( yyvsp[0].typedecl_p );
			  yyval.ste_p = symtab->declare( yyvsp[-2].lex, q );
			  /* scalarset warning*/
			  if ( yyvsp[0].typedecl_p->gettypeclass() == typedecl::Scalarset && !( (scalarsettypedecl *) yyvsp[0].typedecl_p)->isnamed())
			    Error.Warning("The anonymous scalarset type in a quantifier is useless.");
			}
break;
case 184:
#line 1217 "mu.y"
	{
			  quantdecl *q = new quantdecl( yyvsp[-3].expr_p, yyvsp[-1].expr_p, yyvsp[0].real);
			  yyval.ste_p = symtab->declare( yyvsp[-5].lex, q);
			}
break;
case 185:
#line 1226 "mu.y"
	{
			  ste *p = yyvsp[-2].ste_p;
			  ste *q = p->getnext()->search( p->getname() );
			  Error.CondError( q != NULL &&
					  (q->getvalue()->getclass() == decl::Quant ||
					   q->getvalue()->getclass() == decl::Alias),
					   "Ruleset declaration shadows enclosing Ruleset or Alias.");
			}
break;
case 186:
#line 1235 "mu.y"
	{
			  ste *p = yyvsp[0].ste_p;
			  ste *q = p->getnext()->search( p->getname() );
			  Error.CondError( q != NULL &&
					  (q->getvalue()->getclass() == decl::Quant ||
					   q->getvalue()->getclass() == decl::Alias),
					   "Ruleset declaration shadows enclosing Ruleset or Alias.");
			}
break;
case 189:
#line 1254 "mu.y"
	{ 
			  if (!Error.CondError (!yyvsp[0].expr_p->hasvalue(),
						"BY value must be constant.")) {
			    if (type_equal(yyvsp[0].expr_p->gettype(),realtype))
 			      yyval.real = yyvsp[0].expr_p->getrvalue();
			    else
 			      yyval.real = yyvsp[0].expr_p->getvalue();
			    Error.CondError ( yyval.real == 0,
					     "BY value must not be 0.");
			  }
			}
break;
case 190:
#line 1266 "mu.y"
	{ yyval.real = 1; }
break;
case 191:
#line 1272 "mu.y"
	{ yyval.stmt_p = NULL; }
break;
case 192:
#line 1274 "mu.y"
	{ yyval.stmt_p = yyvsp[0].stmt_p; }
break;
case 193:
#line 1276 "mu.y"
	{ yyval.stmt_p = NULL; }
break;
case 194:
#line 1282 "mu.y"
	{ yyvsp[-3].stmt_p->next = yyvsp[0].stmt_p;
			  yyvsp[-3].stmt_p = yyvsp[0].stmt_p;
			  yyval.stmt_p = yyvsp[-2].stmt_p;
			}
break;
case 195:
#line 1287 "mu.y"
	{ yyval.stmt_p = yyvsp[-1].stmt_p; }
break;
case 196:
#line 1289 "mu.y"
	{
			  yyvsp[-1].stmt_p = yyvsp[0].stmt_p;
			  yyval.stmt_p = yyvsp[0].stmt_p;
			}
break;
case 212:
#line 1317 "mu.y"
	{
			  Error.CondWarning(yyvsp[-2].desig_p->getbase() != NULL && 
					    yyvsp[-2].desig_p->getbase()->getscope() < localscope,
					    "Assignment makes function have side effects.");
			  yyval.stmt_p = new assignment (yyvsp[-2].desig_p, yyvsp[0].expr_p);
			}
break;
case 213:
#line 1324 "mu.y"
	{
			  Error.CondWarning(yyvsp[-2].desig_p->getbase() != NULL &&
					    yyvsp[-2].desig_p->getbase()->getscope() < localscope,
					    "Undefine makes function have side effects.");
			  yyval.stmt_p = new undefinestmt ( yyvsp[-2].desig_p );
			}
break;
case 214:
#line 1338 "mu.y"
	{ yyval.stmt_p = new ifstmt (yyvsp[-4].expr_p,yyvsp[-2].stmt_p, yyvsp[-1].stmt_p); }
break;
case 217:
#line 1349 "mu.y"
	{
			  ((ifstmt *) yyvsp[-1].elsifs)->elsecode = yyvsp[0].stmt_p;
			  yyval.stmt_p = yyvsp[-1].elsifs;
			}
break;
case 218:
#line 1354 "mu.y"
	{ yyval.stmt_p = yyvsp[0].stmt_p; }
break;
case 219:
#line 1361 "mu.y"
	{ yyval.elsifs = new ifstmt (yyvsp[-2].expr_p, yyvsp[0].stmt_p); }
break;
case 220:
#line 1367 "mu.y"
	{ yyval.stmt_p = yyvsp[0].stmt_p; }
break;
case 221:
#line 1369 "mu.y"
	{ yyval.stmt_p = NULL; }
break;
case 222:
#line 1377 "mu.y"
	{ yyval.stmt_p = new whilestmt ( yyvsp[-3].expr_p, yyvsp[-1].stmt_p); }
break;
case 225:
#line 1388 "mu.y"
	{
			  yyval.typedecl_p = switchtype;
			  switchtype = yyvsp[0].expr_p->gettype();
			  Error.CondError(!yyvsp[0].expr_p->gettype()->issimple(),
					  "Switch quantity must be of simple type.");
			}
break;
case 226:
#line 1394 "mu.y"
	{ yyval.cases = NULL; }
break;
case 227:
#line 1398 "mu.y"
	{
			  yyval.stmt_p = new switchstmt ( yyvsp[-5].expr_p, yyvsp[-2].cases, yyvsp[-1].stmt_p);
			  switchtype = yyvsp[-4].typedecl_p;
			}
break;
case 230:
#line 1412 "mu.y"
	{
			  if ( yyvsp[-2].cases != NULL ) {
			    yyvsp[-2].cases->next = yyvsp[0].cases;
			    yyval.cases = yyvsp[-1].cases;
			  }
			  else 
			    yyval.cases = yyvsp[0].cases;
			  yyvsp[-2].cases = yyvsp[0].cases;
			}
break;
case 231:
#line 1422 "mu.y"
	{ yyval.cases = NULL; }
break;
case 232:
#line 1428 "mu.y"
	{ yyval.cases = new caselist ( yyvsp[-2].exprlist_p, yyvsp[0].stmt_p); }
break;
case 233:
#line 1434 "mu.y"
	{ symtab->pushscope(); }
break;
case 234:
#line 1438 "mu.y"
	{
			  yyval.stmt_p = new forstmt (symtab->popscope(), yyvsp[-1].stmt_p);
			}
break;
case 237:
#line 1451 "mu.y"
	{
			  ste *proc = symtab->lookup(yyvsp[-1].lex);
			  yyval.stmt_p = new proccall ( proc, yyvsp[0].exprlist_p);
			}
break;
case 238:
#line 1460 "mu.y"
	{
			  Error.CondWarning(yyvsp[0].desig_p->getbase() != NULL &&
					    yyvsp[0].desig_p->getbase()->getscope() < localscope,
					    "CLEAR makes function have side effects.");
			  yyval.stmt_p = new clearstmt ( yyvsp[0].desig_p );
			}
break;
case 239:
#line 1471 "mu.y"
	{
			  Error.CondWarning(yyvsp[0].desig_p->getbase() != NULL &&
					    yyvsp[0].desig_p->getbase()->getscope() < localscope,
					    "Undefine makes function have side effects.");
			  yyval.stmt_p = new undefinestmt ( yyvsp[0].desig_p );
			}
break;
case 240:
#line 1482 "mu.y"
	{
			  yyval.stmt_p = new multisetaddstmt ( yyvsp[-3].desig_p, yyvsp[-1].desig_p );
			}
break;
case 241:
#line 1490 "mu.y"
	{ symtab->pushscope(); }
break;
case 242:
#line 1492 "mu.y"
	{
			  Error.CondError( yyvsp[0].desig_p->gettype()->gettypeclass() != typedecl::MultiSet,
					   "Parameter for choose must be a multiset");
			  multisetidtypedecl *t = new multisetidtypedecl(yyvsp[0].desig_p);
			  decl *tvar = new quantdecl(t);
			  symtab->declare( yyvsp[-2].lex, tvar );
			}
break;
case 243:
#line 1500 "mu.y"
	{
			  yyval.stmt_p = new multisetremovestmt( symtab->popscope(FALSE), yyvsp[-4].desig_p, yyvsp[-1].expr_p );
			}
break;
case 244:
#line 1504 "mu.y"
	{
			  yyval.stmt_p = new multisetremovestmt (yyvsp[-3].expr_p,yyvsp[-1].desig_p);
			}
break;
case 245:
#line 1512 "mu.y"
	{ yyval.stmt_p = new errorstmt (yyvsp[0].string); }
break;
case 246:
#line 1518 "mu.y"
	{ yyval.stmt_p = new assertstmt ( yyvsp[-1].expr_p, yyvsp[0].string ); }
break;
case 247:
#line 1524 "mu.y"
	{ yyval.stmt_p = new putstmt( yyvsp[0].expr_p ); }
break;
case 248:
#line 1526 "mu.y"
	{ yyval.stmt_p = new putstmt( yyvsp[0].string ); }
break;
case 249:
#line 1532 "mu.y"
	{
			  symtab->pushscope();
			}
break;
case 250:
#line 1536 "mu.y"
	{ yyval.stmt_p = new aliasstmt ( symtab->popscope(TRUE),
					      yyvsp[-1].stmt_p ); }
break;
case 255:
#line 1553 "mu.y"
	{
			  Error.Error("Murphi 2 separates aliases with semicolons.");
			}
break;
case 256:
#line 1557 "mu.y"
	{}
break;
case 257:
#line 1563 "mu.y"
	{
			  aliasdecl *adcl = new aliasdecl ( yyvsp[0].expr_p );
			  yyval.ste_p = symtab->declare ( yyvsp[-2].lex, adcl );
			}
break;
case 258:
#line 1572 "mu.y"
	{ 
			  if ( returntype == voidtype ) {
			    Error.CondError(yyvsp[0].expr_p != NULL,
					    "Can't return a value from here.");
			  }
			  else {
			    Error.CondError(!type_equal(returntype,
							yyvsp[0].expr_p->gettype() ),
					    "Invalid type for return value.");
			    hasreturn = TRUE;
			  }
			  yyval.stmt_p = new returnstmt ( yyvsp[0].expr_p );
			}
break;
case 259:
#line 1590 "mu.y"
	{ yyval.expr_p = yyvsp[0].expr_p; }
break;
case 260:
#line 1592 "mu.y"
	{ yyval.expr_p = NULL; }
break;
case 261:
#line 1600 "mu.y"
	{
			  yyvsp[-2].rule_p->next = yyvsp[0].rule_p;
			  yyval.rule_p = yyvsp[-2].rule_p;
			}
break;
case 262:
#line 1605 "mu.y"
	{ yyval.rule_p = yyvsp[-1].rule_p; }
break;
case 263:
#line 1607 "mu.y"
	{ yyval.rule_p = yyvsp[0].rule_p; }
break;
case 269:
#line 1619 "mu.y"
	{ /* perform magic--I don't understand this well. */ }
break;
case 271:
#line 1626 "mu.y"
	{
			  yyval.ste_p = symtab->topste();
			  symtab->pushscope();
			  returntype = voidtype;
			}
break;
case 272:
#line 1633 "mu.y"
	{
			  stmt *stmts = yyvsp[-1].stmt_p != NULL ? yyvsp[-1].stmt_p : nullstmt;
			  yyval.rule_p = new simplerule(yyvsp[-3].ste_p,
					yyvsp[-4].expr_p,
					symtab->popscope(),
					stmts, yyvsp[-6].integer);
			  yyval.rule_p->set_name(yyvsp[-5].string);
			  hasrule = TRUE;
			}
break;
case 275:
#line 1651 "mu.y"
	{
			  Error.CondError(!type_equal(yyvsp[-1].expr_p->gettype(),realtype) &&
			    !type_equal(yyvsp[-1].expr_p->gettype(),booltype), 
			    "Condition for rule must be a either a real or a boolean expression.");
			  yyval.expr_p = yyvsp[-1].expr_p;
			}
break;
case 276:
#line 1658 "mu.y"
	{ yyval.expr_p = true_expr; }
break;
case 277:
#line 1664 "mu.y"
	{ yyval.string = yyvsp[0].string; }
break;
case 278:
#line 1666 "mu.y"
	{ yyval.string = NULL; }
break;
case 279:
#line 1678 "mu.y"
	{ yyval.integer = yyvsp[0].integer; }
break;
case 280:
#line 1680 "mu.y"
	{ yyval.integer = 0; }
break;
case 281:
#line 1686 "mu.y"
	{ symtab->pushscope(); }
break;
case 282:
#line 1688 "mu.y"
	{ yyval.rule_p = new aliasrule( symtab->popscope(FALSE), yyvsp[-1].rule_p); }
break;
case 283:
#line 1695 "mu.y"
	{ symtab->pushscope(); }
break;
case 284:
#line 1698 "mu.y"
	{ yyval.rule_p = new quantrule( symtab->popscope(FALSE), yyvsp[-1].rule_p ); }
break;
case 287:
#line 1709 "mu.y"
	{ symtab->pushscope(); }
break;
case 288:
#line 1711 "mu.y"
	{
			  Error.CondError( yyvsp[0].desig_p->gettype()->gettypeclass() != typedecl::MultiSet,
					   "Parameter for choose must be a multiset");
			  multisetidtypedecl *t = new multisetidtypedecl(yyvsp[0].desig_p);
			  decl *tvar = new choosedecl(t);
			  symtab->declare( yyvsp[-2].lex, tvar );
			}
break;
case 289:
#line 1719 "mu.y"
	{
			  yyval.rule_p = new chooserule( symtab->popscope(FALSE), yyvsp[-4].desig_p, yyvsp[-1].rule_p );
			}
break;
case 290:
#line 1726 "mu.y"
	{ yyval.rule_p = yyvsp[-1].rule_p; }
break;
case 291:
#line 1728 "mu.y"
	{ yyval.rule_p = yyvsp[0].rule_p; }
break;
case 294:
#line 1739 "mu.y"
	{
			  yyval.ste_p = symtab->topste();
			  symtab->pushscope();
			}
break;
case 295:
#line 1744 "mu.y"
	{
			  stmt *body = yyvsp[-1].stmt_p != NULL ? yyvsp[-1].stmt_p : nullstmt;
			  yyval.rule_p = new startstate(yyvsp[-4].ste_p,
					      symtab->popscope(),
					      body);
			  yyval.rule_p->set_name(yyvsp[-3].string);
			  Error.CondError(args->pmurphik && !args->prob_rules && has_startstate, "Only one startstate allowed with --bpctl");
			  has_startstate = TRUE;
			}
break;
case 298:
#line 1762 "mu.y"
	{
			  Error.CondError(args->bpctl, 
			  	"With --bpctl option, invariants have to be replaced with PCTL formulas.");
			  has_invar = TRUE;
			  yyval.rule_p = new invariant(symtab->topste(), yyvsp[0].expr_p);
			  yyval.rule_p->set_name(yyvsp[-1].string);
			}
break;
#line 3768 "y.tab.c"
    }
    yyssp -= yym;
    yystate = *yyssp;
    yyvsp -= yym;
    yym = yylhs[yyn];
    if (yystate == 0 && yym == 0)
    {
#if YYDEBUG
        if (yydebug)
            printf("%sdebug: after reduction, shifting from state 0 to\
 state %d\n", YYPREFIX, YYFINAL);
#endif
        yystate = YYFINAL;
        *++yyssp = YYFINAL;
        *++yyvsp = yyval;
        if (yychar < 0)
        {
            if ((yychar = yylex()) < 0) yychar = 0;
#if YYDEBUG
            if (yydebug)
            {
                yys = 0;
                if (yychar <= YYMAXTOKEN) yys = yyname[yychar];
                if (!yys) yys = "illegal-symbol";
                printf("%sdebug: state %d, reading %d (%s)\n",
                        YYPREFIX, YYFINAL, yychar, yys);
            }
#endif
        }
        if (yychar == 0) goto yyaccept;
        goto yyloop;
    }
    if ((yyn = yygindex[yym]) && (yyn += yystate) >= 0 &&
            yyn <= YYTABLESIZE && yycheck[yyn] == yystate)
        yystate = yytable[yyn];
    else
        yystate = yydgoto[yym];
#if YYDEBUG
    if (yydebug)
        printf("%sdebug: after reduction, shifting from state %d \
to state %d\n", YYPREFIX, *yyssp, yystate);
#endif
    if (yyssp >= yysslim && yygrowstack())
    {
        goto yyoverflow;
    }
    *++yyssp = (short) yystate;
    *++yyvsp = yyval;
    goto yyloop;

yyoverflow:
    yyerror("yacc stack overflow");

yyabort:
    return (1);

yyaccept:
    return (0);
}
